Index: ADME.txt
===================================================================
--- /README.txt	(revision 412)
+++ 	(revision )
@@ -1,5 +1,0 @@
-This is a Subversion repository; use the 'svnadmin' tool to examine
-it.  Do not add, delete, or modify files here unless you know how
-to avoid corrupting the repository.
-
-Visit http://subversion.tigris.org/ for more information.
Index: rmat
===================================================================
--- /format	(revision 412)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5
Index: unk/CHANGES.txt
===================================================================
--- /trunk/CHANGES.txt	(revision 412)
+++ 	(revision )
@@ -1,20 +1,0 @@
-Eleonline rev. 381-382-383-384
-- Continua lo sviluppo della funzione di aggiornamento. 
-- Modifica alla funzione di proiezione dell'assegnazione dei seggi per gestire il caso della legge regionale siciliana relativamente a comuni sotto i 15.000 abitanti (da completare, non tutti i casi sono ancora gestiti). 
-- Modifiche alla gestione di consultazioni circoscrizionali
-
-Eleonline rev. 378-379-380
-Sviluppo della funzione di aggiornamento che ingloba anche quella di aggiornamento del db (da completare con le prossime rev)
-
-Eleonline rev. 377
-DB
-- modifica tabella sezioni con inserimento constraint per controllo duplicati nel numero di sezione
-ADMIN
-- modifica della funzione di connessione al db nel file admin.php per compatibilitÃ  con php5 
-- modifica della funzione di inserimento delle sezioni con inserimento avvisi per errori di inserimento
-- modificata la funzione di aggiornamento del DB ( admin/aggiornadb.php ) per gestire l'aggiornamento degli indici PRIMARY, aggiunto il controllo della tabella soraldo_ele_liste e il nuovo contraint per la tabella soraldo_ele_sezioni
-
-Eleonline rev. 376
-CLIENT
-- modifica della pagina Informazioni - Affluenze
-- modifica della pagina Informazioni - Votanti
Index: unk/CREDITS.txt
===================================================================
--- /trunk/CREDITS.txt	(revision 412)
+++ 	(revision )
@@ -1,14 +1,0 @@
-##############################################
-# Eleonline 			             #
-# =================                          #
-# Copyright (c) 2012 			     #	
-# by Luciano Apolito e Roberto Gigli	     #
-# http://www.eleonline.it                    #
-# licenza Gnu-GPL 2.0			     #	
-##############################################
-
-
-Developer:
-- Luciano Apolito 
-- Roberto Gigli email: roberto.gigli@eleonline.it
-
Index: unk/README.txt
===================================================================
--- /trunk/README.txt	(revision 412)
+++ 	(revision )
@@ -1,66 +1,0 @@
-##############################################
-# Eleonline 2.0			             #
-# =================                          #
-# Copyright (c) 2012 			     #	
-# by Luciano Apolito e Roberto Gigli	     #
-# http://www.eleonline.it                    #
-# licenza Gnu-GPL 2.0			     #	
-##############################################
-
-0. Nota Copyright 
--------------------
-- Il nome del prodotto ed il link DEVE RIMANERE nella parte del footer di tutte
-  le pagine generate dallo script. Sono permesse le traduzioni, non le rinomine.
-- Questo pacchetto può essere redistribuito così come viene ricevuto, a condizione che si mantengano intatti su ogni copia tutti i riferimenti al copyright,
-  all'essenza di garanzia ed alla licenza.
-
-
-1. Introduzione e richieste
---------------------------------
-ELEONLINE è un software open source per la gestione elettorale di  qualsiasi consultazione italiana e non solo.
-Il pacchetto permette di essere altamente configurabile, multioperatore e multicomune.
-Alla data di ottobre 2012 il software è usato da piu' di 100 comuni e 400 tornate elettorali
-
-
-2. Installazione
----------------
-Estrai l'archivio in una cartella temporanea e copia i files inclusi come mostrato (e chmod se richiesto):
-----------------------------------------------------------------------------------------------------------
-CHANGES.txt (non fare l'upload)
-CREDITS.txt (non fare l'upload)
-README.txt (non fare l'upload, leggilo solamente)
-doc/*.* (non fare l'upload, leggilo solamente. Contiene i manuali di amministrazione e installazione)
-sql/*.* (non fare l'upload. Contiene i database e gli aggiornalenti)
-
-install.php (upload)
-install/*.*   (upload)
-client/*.*    (upload. Contiene i pacchetti di visualizzazione) 
-admin/*.* (upload se si vuole mettere tutto in un unico server. Contiene l'amministrazione di eleonline)
-
-Per installare il pacchetto , una volta uploadati file, lanciare dal browser il file install.php.
-Finita l'installazione cancellare il file install.php e la directory install
-
-Link al manuale online: https://docs.google.com/document/d/17obEUipKn6KclxAU_hM-N4ogiXlXURSig5hdI3bYXmo/edit?usp=sharing
-
-
-
-
-
-3. Uso
-------
-Per l'uso leggere il file relativo nella dir "doc".
-Si consiglia di visitare il sito http://www.eleonline.it e di registrarsi come utente nonche nella lista delle newsletter per essere sempre aggiornati sugli sviluppi.
-Inoltre la registrazione permette l'uso del forum , sempre attivo in special modo sotto le tornate elettorali dove sono presenti anche gli autori del software per consigli e altro.
-
-Se avete bisogno di essere ospitati sul nostro server, noi siamo disponibili a farlo.
-Per ogni altro uso, idee, consulenze potete contattarci sul sito eleonline.it oppure ai seguenti recapiti:
-
-- Luciano Apolito email:apoluc@gmail.com cell: 3389538670
-- Roberto Gigli email: rgigli@libero.it 
-
-=====================================
-l.apolito e r.gigli
-Ottobre 2012 
-eleonline.it
-
-
Index: unk/index.php
===================================================================
--- /trunk/index.php	(revision 412)
+++ 	(revision )
@@ -1,13 +1,0 @@
-<?php
-
-/************************************************************************/
-/* Eleonline - Raccolta e diffusione dei dati elettorali                */
-/* by Luciano Apolito & Roberto Gigli                                   */
-/* http://www.eleonline.it                                              */
-/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
-/************************************************************************/
-
-    Header("Location: client/index.php");
-die();
-
-?>
Index: unk/install.php
===================================================================
--- /trunk/install.php	(revision 412)
+++ 	(revision )
@@ -1,13 +1,0 @@
-<?php
-
-/************************************************************************/
-/* Eleonline - Raccolta e diffusione dei dati elettorali                */
-/* by Luciano Apolito & Roberto Gigli                                   */
-/* http://www.eleonline.it                                              */
-/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
-/************************************************************************/
-
-    Header("Location: install/index.php");
-die();
-
-?>