Index: trunk/client/modules/Elezioni/affluenze.php
===================================================================
--- trunk/client/modules/Elezioni/affluenze.php	(revision 16)
+++ trunk/client/modules/Elezioni/affluenze.php	(revision 17)
@@ -236,5 +236,5 @@
 		}
 
-		if (intval(ereg("[1-9]",$tot[$data1.$ora1]))>0) {
+		if (intval(preg_match('/[1-9]/',$tot[$data1.$ora1]))>0) {
 #foreach($ar[['num_sez'] as $i)
 		for ($i=$sez_da;$i<=$sez_a;$i++)
Index: trunk/client/modules/Elezioni/funzioni.php
===================================================================
--- trunk/client/modules/Elezioni/funzioni.php	(revision 16)
+++ trunk/client/modules/Elezioni/funzioni.php	(revision 17)
@@ -208,11 +208,11 @@
 	    
 	    for ($i=0;$i<20;$i++) {
-		$link = ereg_replace(".*<link>","",$items[$i]);
-		$link = ereg_replace("</link>.*","",$link);
-		$title2 = ereg_replace(".*<title>","",$items[$i]);
-		$title2 = ereg_replace("</title>.*","",$title2);
+		$link = preg_replace(".*<link>","",$items[$i]);
+		$link = preg_replace("</link>.*","",$link);
+		$title2 = preg_replace(".*<title>","",$items[$i]);
+		$title2 = preg_replace("</title>.*","",$title2);
 		$title2 = stripslashes($title2);
-		$descr = ereg_replace(".*<description>","",$items[$i]);
-		$descr  = ereg_replace("</description>.*","",$descr );
+		$descr = preg_replace(".*<description>","",$items[$i]);
+		$descr  = preg_replace("</description>.*","",$descr );
 		$descr  = stripslashes($descr );
 
@@ -367,5 +367,5 @@
 $bl=opendir('modules/Elezioni/blocchi');
 	while ($file = readdir($bl)) {
-		if (!is_dir("modules/Elezioni/blocchi/$file") and (!ereg("^\.",$file)) and !stristr($file,"off_")) {
+		if (!is_dir("modules/Elezioni/blocchi/$file") and (!preg_match('/^\./',$file)) and !stristr($file,"off_")) {
 			array_push($list, $file);
 		}
@@ -376,5 +376,5 @@
 		sort($list);
 	for ($item_num=0; $item_num < count($list); $item_num++) {
-		$tmp=eregi_replace("^[0-9][0-9]_","",$list[$item_num]);
+		$tmp=preg_replace('/^[0-9][0-9]_/i',"",$list[$item_num]);
 		$title=str_replace("_"," ",str_replace(".php","",$tmp));
 		// backward theme compatibility
Index: trunk/client/modules/Elezioni/grafici/gd_image.inc.php
===================================================================
--- trunk/client/modules/Elezioni/grafici/gd_image.inc.php	(revision 16)
+++ trunk/client/modules/Elezioni/grafici/gd_image.inc.php	(revision 17)
@@ -450,5 +450,5 @@
 	}
 	else {
-	    if( ereg("\n",$txt) ) { 
+	    if( preg_match('/\n/',$txt) ) { 
 		$tmp = split("\n",$txt);
 		for($i=0; $i < count($tmp); ++$i) {
@@ -582,5 +582,5 @@
 	}
 
-	if( !ereg("\n",$txt) || ($dir>0 && ereg("\n",$txt)) ) {
+	if( !preg_match('/\n/',$txt) || ($dir>0 && preg_match('/\n/',$txt)) ) {
 	    // Format a single line
 
Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 16)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 17)
@@ -87,5 +87,5 @@
 
 
-	if (ereg('circo',$op)) { //$op=='gruppo_circo' or $op=='lista_circo') {
+	if (strstr('circo',$op)) { //$op=='gruppo_circo' or $op=='lista_circo') {
 		$tab1="circ";
 		$tab2="t5.num_circ,t5.descrizione";
@@ -102,7 +102,7 @@
 		$tipo3=_SEZIONE;
 	}
-	if (ereg("gruppo",$op)){
+	if (strstr("gruppo",$op)){
 		$tab="gruppo";
-	}elseif (ereg('lista',$op)) {	
+	}elseif (strstr('lista',$op)) {	
 		$tab="lista";
 	}else{
@@ -157,5 +157,5 @@
 		$num_sez=$tot_sez;//mysql_data_seek($res_sez,0);
 		if ($circo) $offsetsez=$num_sez+$minsez-1;//setta offsetsez sull'ultima sezione della circoscrizione
-		if(ereg("circo", $op)) {
+		if(strstr("circo", $op)) {
 				$res_sez = mysql_query("SELECT count(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);  //estrae il numero delle circoscrizioni
 				list($num_sez)=mysql_fetch_row($res_sez);
@@ -178,5 +178,5 @@
 */
 			$visvot='';
-			if(ereg('candidato', $op)){
+			if(strstr('candidato', $op)){
 //			$numliste=mysql_num_rows($res_lis);
 				$visvot="cand";
@@ -330,5 +330,5 @@
 				
 				echo "<tr>";
-				if (!ereg('candidato',$op)) {
+				if (!strstr('candidato',$op)) {
 					echo "<td>"._VIS_PERC.": <input type=\"checkbox\" name=\"perc\" value=\"true\"";
 					if($perc=='true') echo " checked=\"true\"";
@@ -351,5 +351,5 @@
 
 				# liste e gruppi da.... a	  
-				if (!ereg('candidato',$op)) {
+				if (!strstr('candidato',$op)) {
 				      $res_cand2 = mysql_query("SELECT descrizione from ".$prefix."_ele_$tab15 where id_cons='$id_cons' and num_$tab15 ='$min'",$dbi);
 				      list($descrizione)= mysql_fetch_row($res_cand2);
@@ -365,5 +365,5 @@
 
 				# nome della lista
-				if (ereg('candidato',$op)) { 
+				if (strstr('candidato',$op)) { 
 					$res_lis2 = mysql_query("SELECT num_lista, descrizione from ".$prefix."_ele_lista where id_lista=$id_lista",$dbi);
 					list($num_lista2,$descr_lista2)= mysql_fetch_row($res_lis2);
@@ -395,5 +395,5 @@
 				echo "</td></tr></table></div></form>";
 				
-				if (ereg('candidato',$op)) echo $list2;	
+				if (strstr('candidato',$op)) echo $list2;	
 				
 				
Index: trunk/client/modules/Elezioni/tema.php
===================================================================
--- trunk/client/modules/Elezioni/tema.php	(revision 16)
+++ trunk/client/modules/Elezioni/tema.php	(revision 17)
@@ -18,5 +18,5 @@
     	while ($file = readdir($handle)) {
 
-			if ( (ereg("^([_0-9a-zA-Z]+)([_0-9a-zA-Z]{3})$",$file)) ) {
+			if ( (preg_match('/^([_0-9a-zA-Z]+)([_0-9a-zA-Z]{3})$/',$file)) ) {
 
 		   $tlist .= "$file ";