Index: trunk/admin/modules/Elezioni/ele.php
===================================================================
--- trunk/admin/modules/Elezioni/ele.php	(revision 44)
+++ trunk/admin/modules/Elezioni/ele.php	(revision 45)
@@ -154,5 +154,7 @@
 	echo $otable1;
 	echo "<table width=\"180\" align=\"left\"><tr><td><table>";
-	
+	echo "<tr align=\"left\" width=\"160\" bgcolor=\"$bgcolor1\"><td valign=\"top\" align=\"left\" width=\"150\" colspan=\"2\">
+		<a href=\"admin.php?op=$op&amp;id_cons_gen=$id_cons_gen&amp;help=1\">$bullet"._HELP."</a>
+		</td></tr>";
 
 	if ($perms>128) {
@@ -163,10 +165,10 @@
 	echo "
 		<tr align=\"left\" width=\"160\" bgcolor=\"$bgcolor1\">
-		<td valign=\"top\" align=\"center\" bgcolor=\"#000000\"><font face=\"Arial,Helvetica\" size=-1><font color=\"#ffffff\"><b>"._SUPER."
+		<td valign=\"top\" align=\"center\" bgcolor=\"#000000\" rowspan=\"3\"><font face=\"Arial,Helvetica\" size=-1><font color=\"#ffffff\"><b>"._SUPER."
 
               </b></font></font>
 		
 		</td>
-		<td valign=\"top\" align=\"left\" width=\"150\">
+<td valign=\"top\" align=\"left\" width=\"150\">		
 		
 		
@@ -177,16 +179,19 @@
 		    echo "<hr/>";
 		}
-		echo "<a href=\"admin.php?op=consultazione&amp;id_cons_gen=$id_cons_gen\">$bullet"._CONSULTAZIONE_ADM."</a><br>
+		echo "
 		<a href=\"admin.php?op=constipi&amp;id_cons_gen=$id_cons_gen\">$bullet"._TIPO_ADM."</a><br>
-
-		<a href=\"admin.php?op=associazioni&amp;id_cons_gen=$id_cons_gen\">$bullet"._INSCOMUNE."</a><br>
+		<a href=\"admin.php?op=confconsiglio&amp;id_cons_gen=$id_cons_gen\">$bullet"._CONFCONS."</a>
+		</td></tr><tr align=\"left\" width=\"160\" bgcolor=\"$bgcolor1\"><td>
+		<a href=\"admin.php?op=inscomuni&amp;id_cons_gen=$id_cons_gen\">$bullet"._DEFCOMUNE."</a><br>
+		<a href=\"admin.php?op=oper_admin&amp;id_cons_gen=$id_cons_gen\">$bullet"._AMMINISTRATORI."</a>
+		</td></tr><tr align=\"left\" width=\"160\" bgcolor=\"$bgcolor1\"><td>
+		<a href=\"admin.php?op=consultazione&amp;id_cons_gen=$id_cons_gen\">$bullet"._CONSULTAZIONE_ADM."</a><br>
+
 		<a href=\"admin.php?op=rec_add_aff&amp;id_cons_gen=$id_cons_gen\">$bullet"._AFFLUENZE."</a><br>
-		<a href=\"admin.php?op=inscomuni&amp;id_cons_gen=$id_cons_gen\">$bullet"._DEFCOMUNE."</a><br>
-		<a href=\"admin.php?op=oper_admin&amp;id_cons_gen=$id_cons_gen\">$bullet"._AMMINISTRATORI."</a><br>
-		<a href=\"admin.php?op=confconsiglio&amp;id_cons_gen=$id_cons_gen\">$bullet"._CONFCONS."</a><br>
-		<a href=\"admin.php?op=backup&amp;id_cons_gen=$id_cons_gen\">$bullet"._BACKUP."</a><br>
-		<a href=\"admin.php?op=restore&amp;id_cons_gen=$id_cons_gen\">$bullet"._RESTORE."</a>
-		
+		<a href=\"admin.php?op=associazioni&amp;id_cons_gen=$id_cons_gen\">$bullet"._INSCOMUNE."</a>
 		</td></tr>";
+#		<a href=\"admin.php?op=backup&amp;id_cons_gen=$id_cons_gen\">$bullet"._BACKUP."</a><br>
+#		<a href=\"admin.php?op=restore&amp;id_cons_gen=$id_cons_gen\">$bullet"._RESTORE."</a>
+		
 	} 
 //	Amministrazione locale solo superuser e adminuser
@@ -283,4 +288,6 @@
 		case "ele":
 		ele();
+		global $language;
+		include("language/$language/ele.html");
 		echo"</td></tr></table>";
 		include("footer.php");
Index: trunk/admin/modules/Elezioni/ele_affluenze.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_affluenze.php	(revision 44)
+++ trunk/admin/modules/Elezioni/ele_affluenze.php	(revision 45)
@@ -34,4 +34,5 @@
 if (isset($_GET['ok'])) get_magic_quotes_gpc() ? $ok=$param['ok']:$ok=addslashes($param['ok']); else $ok='';
 if (isset($_GET['modello'])) get_magic_quotes_gpc() ? $modello=$param['modello']:$modello=addslashes($param['modello']); else $modello='';
+if (isset($_GET['help'])) $help=intval($_GET['help']);
 
 include("modules/Elezioni/funzionidata.php");
@@ -48,6 +49,7 @@
 	//crea la pagina delle affluenze
 	function all() {
-		global $bgcolor1, $bgcolor2, $prefix, $dbi, $offset, $min,$id_cons_gen;
+		global $bgcolor1, $bgcolor2, $prefix, $dbi, $offset, $min,$id_cons_gen,$language,$help;
 
+		if (isset($help)) include("language/$language/ele_affluenze.html");
 
 		echo "<br><br> <table border=\"0\" width=\"60%\"  align=\"center\">"
Index: trunk/admin/modules/Elezioni/ele_associazioni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 44)
+++ trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 45)
@@ -40,4 +40,5 @@
 if (isset($_GET['id_conf'])) $id_conf=intval($_GET['id_conf']);  else $id_conf=0;
 if (isset($_GET['min'])) $min=intval($_GET['min']); else $min=0;
+if (isset($_GET['help'])) $help=intval($_GET['help']);
 
 $offset=15;
@@ -50,9 +51,12 @@
 	//crea la pagina delle affluenze
 	function all() {
-	global $user, $admin, $bgcolor1, $bgcolor2, $prefix,$descr_cons, $dbi,$id_cons,$desc,$indirizzo,$centralino,$fax,$id_cons_gen,$id_collegio,$idcomune,$chiusa,$id_conf,$tipo_cons;
+	global $user, $admin, $bgcolor1, $bgcolor2, $prefix,$descr_cons, $dbi,$id_cons,$desc,$indirizzo,$centralino,$fax,$id_cons_gen,$id_collegio,$idcomune,$chiusa,$id_conf,$tipo_cons,$language,$help;
 $aid=$_SESSION['aid'];
 $dbi=$_SESSION['dbi'];
 $prefix=$_SESSION['prefix'];
-	OpenTable();	
+
+	if (isset($help)) include("language/$language/ele_associazioni.html");
+	OpenTable();
+	echo "<hr><br>";	
 	$res = mysql_query("SELECT descrizione FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'" , $dbi);
 	list ($descr_cons) = mysql_fetch_row($res);
Index: trunk/admin/modules/Elezioni/ele_cons_comuni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_cons_comuni.php	(revision 44)
+++ trunk/admin/modules/Elezioni/ele_cons_comuni.php	(revision 45)
@@ -34,4 +34,5 @@
 if (isset($param['elettori'])) get_magic_quotes_gpc() ? $elettori=$param['elettori']:$elettori=addslashes($param['elettori']); else $elettori='';
 if (isset($param['predefinita'])) $predefinita=intval($param['predefinita']); else $predefinita='';
+if (isset($param['help'])) $help=intval($param['help']);
 
 $offset=10;
@@ -44,5 +45,7 @@
 
 function all() {
-global $bgcolor1, $bgcolor2,  $bgcolor6, $prefix, $dbi, $offset, $min, $id_cons,$id_cons2, $id_comune,$descr_cons,$id_cons_gen,$perms;
+global $bgcolor1, $bgcolor2,  $bgcolor6, $prefix, $dbi, $offset, $min, $id_cons,$id_cons2, $id_comune,$descr_cons,$id_cons_gen,$perms,$language,$help;
+
+	if (isset($help)) include("language/$language/ele_cons_comuni.html");
 
 	$res = mysql_query("SELECT id_cons FROM ".$prefix."_ele_comuni where id_comune=$id_comune", $dbi);
Index: trunk/admin/modules/Elezioni/ele_consultazioni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_consultazioni.php	(revision 44)
+++ trunk/admin/modules/Elezioni/ele_consultazioni.php	(revision 45)
@@ -50,5 +50,5 @@
 if (isset($param['descr_cons2'])) get_magic_quotes_gpc() ? $descr_cons2=$param['descr_cons2']:$descr_cons2=addslashes($param['descr_cons2']); else $descr_cons2='';
 if (isset($param['tipocons'])) get_magic_quotes_gpc() ? $tipocons=$param['tipocons']:$tipocons=addslashes($param['tipocons']); else $tipocons=$tipo_cons;
-
+if (isset($param['help'])) $help=intval($param['help']);
 $id_comune=$_SESSION['id_comune'];
 
@@ -68,38 +68,9 @@
 
 function all() {
-   global $genere, $bgcolor1, $bgcolor2,  $bgcolor6, $prefix, $dbi, $offset, $min, $id_cons_gen, $perms,$tipo_cons, $tipocons,$do, $dig, $dim, $dia, $dfg, $dfm, $dfa;
+   global $genere, $bgcolor1, $bgcolor2,  $bgcolor6, $prefix, $dbi, $offset, $min, $id_cons_gen, $perms,$tipo_cons, $tipocons,$do, $dig, $dim, $dia, $dfg, $dfm, $dfa, $help;
 $language=$_SESSION['lang'];
 if (($perms>64)) {
-/*	echo "<SCRIPT type=\"text/javascript\">\n\n<!--\n"
-	."//-->\n";
-	echo "function scegli_ref() {\n";
-	echo "if (document.consultazione.referendum.checked==true) {\n";
-	echo "document.consultazione.gruppi.checked=false \n";
-	echo "document.consultazione.votigruppo.checked=false \n";
-	echo "document.consultazione.votilista.checked=false \n";
-	echo "document.consultazione.voticandi.checked=false \n";
-	echo "document.consultazione.circo.checked=false \n";
-	echo "document.consultazione.liste.checked=false \n";
-	echo "document.consultazione.ballo.checked=false }\n";
-	echo "}\n";
-	echo "function scegli_cons() {\n";
-	echo "if (document.consultazione.gruppi.checked==true || document.consultazione.circo.checked==true || document.consultazione.liste.checked==true || document.consultazione.votilista.checked==true || document.consultazione.voticandi.checked==true) {\n";
-	echo "document.consultazione.referendum.checked=false \n";
-	echo "document.consultazione.ballo.checked=false }\n";
-	echo "if (document.consultazione.gruppi.checked==false) {\n";
-	echo "document.consultazione.votigruppo.checked=false }\n";
-	echo "}\n";
-	echo "function scegli_ballo() {\n";
-	echo "if (document.consultazione.ballo.checked==true) {\n";
-	echo "document.consultazione.votigruppo.checked=false \n";
-	echo "document.consultazione.votilista.checked=false \n";
-	echo "document.consultazione.voticandi.checked=false \n";
-	echo "document.consultazione.gruppi.checked=false \n";
-	echo "document.consultazione.circo.checked=false \n";
-	echo "document.consultazione.referendum.checked=false \n";
-	echo "document.consultazione.liste.checked=false }\n";
-	echo "}\n";
-	echo "</script>\n"; 
-*/
+		if (isset($help)) include("language/$language/ele_consultazioni.html");
+
 	if ($do == "modify") {
 		$res = mysql_query("SELECT * FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'", $dbi);
@@ -153,19 +124,10 @@
 		."<input type=\"hidden\" name=\"do\" value=\"add\">"
 		."<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">"
-		."<table whidth=\"100%\"><hr><h6>"._ADD." "._CONSULTA."<br><br>";
-		echo _DEFCONS.":<br>";
-
-
-/*		echo "<input type=\"checkbox\" name=\"referendum\" value=\"true\" onClick=\"scegli_ref()\"> "._REFERENDUM." <br>"
-		."<input type=\"checkbox\" name=\"gruppi\" value=\"true\" onClick=\"scegli_cons()\"> "._CON_GRUPPI."<br> "
-		."&nbsp;&nbsp;<input type=\"checkbox\" name=\"votigruppo\" value=\"true\" onClick=\"scegli_cons()\"> "._NO_VOTO_GRUPPO."<br> "
-		."<br><input type=\"checkbox\" name=\"liste\" value=\"true\" onClick=\"scegli_cons()\"> "._LISTE_UNI."<br>"
-		."&nbsp;&nbsp;<input type=\"checkbox\" name=\"votilista\" value=\"true\" onClick=\"scegli_cons()\"> "._NO_VOTO_LISTA."<br> "
-		."&nbsp;&nbsp;<input type=\"checkbox\" name=\"voticandi\" value=\"true\" onClick=\"scegli_cons()\"> "._NO_VOTO_CANDI."<br> "
-		."<input type=\"checkbox\" name=\"circo\" value=\"true\" onClick=\"scegli_cons()\"> "._ELE_CIRCO."<br>"
-		."<input type=\"checkbox\" name=\"ballo\" value=\"true\" onClick=\"scegli_ballo()\"> "._BALLO."<br></h6>";
-*/
+		."<hr><h6>"
+		._ADD." "._CONSULTA."<br><br>";
+		echo _DEFCONS.":<br><table whidth=\"100%\">";
+
 		$res=mysql_query("SELECT * FROM ".$prefix."_ele_tipo where lingua='$language'", $dbi);
-		echo "<tr><td>"._TIPO." :</td><td>";
+		echo "<tr><td><b>"._TIPO." :</b></td><td>";
 		echo "<select name=\"tipocons\" >";
 		while(list($idtipo,$destipo)= mysql_fetch_row($res)){
Index: trunk/admin/modules/Elezioni/language/lang-en.php
===================================================================
--- trunk/admin/modules/Elezioni/language/lang-en.php	(revision 44)
+++ trunk/admin/modules/Elezioni/language/lang-en.php	(revision 45)
@@ -127,4 +127,5 @@
 }
 
+define("_HELP","Help On Line");
 define("_NOTAOP","");
 define("_SISTEMA_MAGGIORITARIO","Majority Rules");
Index: trunk/admin/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/admin/modules/Elezioni/language/lang-it.php	(revision 44)
+++ trunk/admin/modules/Elezioni/language/lang-it.php	(revision 45)
@@ -148,4 +148,5 @@
 }
 define("_NOTAOP","L'utente amministratore unico di un comune deve chiamarsi obbligatoriamente admin<br>Si stanno inserendo utenti per il comune di");
+define("_HELP","Help Contestuale");
 define("_INDIRIZZOWEB1","URL del server");
 define("_SISTEMA_MAGGIORITARIO","SISTEMA MAGGIORITARIO");
Index: trunk/admin/temi/facebook/style.css
===================================================================
--- trunk/admin/temi/facebook/style.css	(revision 44)
+++ trunk/admin/temi/facebook/style.css	(revision 45)
@@ -93,5 +93,5 @@
 table {
 	margin-right: auto;
-	margin-left: auto;
+	margin-left: 0px; /*auto;*/
 	text-align: left;
 	margin-top: 0px;