Index: /trunk/admin/modules/Elezioni/language/it/ele.html
===================================================================
--- /trunk/admin/modules/Elezioni/language/it/ele.html	(revision 46)
+++ /trunk/admin/modules/Elezioni/language/it/ele.html	(revision 46)
@@ -0,0 +1,41 @@
+<table style="width: 686px; height: 150px;" class="table-main">
+
+<tbody>
+<tr>
+<td style="height: 33px;">
+<p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>Informazioni generali per l'avvio e l'uso di EleOnLine.</b></p>
+</td>
+</tr><tr>
+<td style="height: 89px;">
+<p style="margin-bottom: 0cm; text-align: center; width: 576px;">Il menu di aiuto contestuale, posto in cima alle voci di menu, vuole facilitare la comprensione delle funzioni del programma. Stando nella maschera di una funzione e cliccando sulla voce di menu "Help Contestuale" si attiva una scheda con le istruzioni per la gestione di quella funzione.<br> Attualmente e' in fase di completamento ed Ãš disponibile solo per le voci: "Configurazione" - "Consultazione" - "Affluenze" - "Autorizza Comuni" del menu del Superutente.</td></tr><tr><td>
+<p style="margin-bottom: 0cm; text-align: center; width: 576px;">
+<b>Operazioni da effettuare per la prima attivazione del sito da parte dell'utente Superuser:</b></td></tr><tr><td>
+<p style="margin-bottom: 0cm; text-align: left; width: 576px;">
+1) Comuni: inserire almeno un comune<br>
+2) Amministratori: inserire la password per l'Amministratore principale del comune inserito<br>
+3) Consultazione: inserire una consultazione<br>
+4) Affluenze: impostare gli orari di rilevazione delle affluenze per la consultazione<br>
+5) Autorizza comuni: scegliere il comune da autorizzare, lasciare "stato" su attiva e confermare<br>
+6) Configurazione sito: impostare tutti i parametri che interessano, in particolare scegliere il comune di default<br>
+<b>Nota:</b> I punti 3, 4, 5 sono i soli necessari per l'inserimento delle consultazioni successive alla prima installazione</td></tr><tr><td>
+<p style="margin-bottom: 0cm; text-align: center; width: 576px;">
+
+<b>Dal menu Administrator (operazioni a carico dell' Amministratore del comune):</b></td></tr><tr><td>
+<p style="margin-bottom: 0cm; text-align: left; width: 576px;">
+1) Operatori: crea gli utenti che potranno essere abilitare (l'inserimento va fatto una sola volta)<br>
+2) Permessi: abilita gli utenti inseriti al punto 1) ad operare sulla specifica consultazione e assegna i permessi<br>
+3) Circoscrizione (o Collegi); ne va inserita almeno una (se non ve ne sono chiamarla "unica")<br>
+4) Sede elettorale: inserisci le singole sedi e attribuiscile alle (o alla) circoscrizioni (o Collegi)<br>
+5) Sezione: inserisci le singole sezioni e assegnale alle sedi elettorali<br>
+<b>Nota:</b> i punti 3,4,5 sono necessari solo per il primo inserimento, per i successivi si utilizza la voce di menu "Consultazioni" che permette di popolare l'archivio prendendo i dati da una consultazione precedente.
+6) Candidato Presidente:
+7) Lista:
+8) Candidato:
+Inserire in modo gerarchico questi dati e assegnare il gruppo o la lista di appartenenza 
+
+</td>
+</tr>
+
+</tbody>
+</table>
+
Index: /trunk/admin/modules/Elezioni/language/it/ele_affluenze.html
===================================================================
--- /trunk/admin/modules/Elezioni/language/it/ele_affluenze.html	(revision 46)
+++ /trunk/admin/modules/Elezioni/language/it/ele_affluenze.html	(revision 46)
@@ -0,0 +1,29 @@
+
+<table style="width: 686px; height: 150px;" class="table-main">
+
+  <tbody>
+    <tr>
+      <td>
+      <p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>Questo e' il
+secondo passo nella creazione di nuove consultazioni.</b></p>
+      </td>
+    </tr>
+    <tr>
+      <td>
+      <p style="margin-bottom: 0cm; text-align: center; width: 576px;">Utilizzando
+il menu <b>Affluenze</b> si inseriscono, o si modificano, gli<br>
+orari previsti per il rilevamento delle affluenze alle urne.<br>
+Una volta definiti, gli orari possono essere cancellati, modificati o aggiunti.<br>
+      </p>
+      </td>
+    </tr>
+    <tr>
+      <td>
+      <p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>Il terzo passo
+nella
+creazione di nuove consultazioni e' "Autorizza Comuni".</b></p>
+      </td>
+    </tr>
+  </tbody>
+</table>
+
Index: /trunk/admin/modules/Elezioni/language/it/ele_associazioni.html
===================================================================
--- /trunk/admin/modules/Elezioni/language/it/ele_associazioni.html	(revision 46)
+++ /trunk/admin/modules/Elezioni/language/it/ele_associazioni.html	(revision 46)
@@ -0,0 +1,29 @@
+<table style="width: 686px; height: 150px;" class="table-main">
+
+<tbody>
+<tr>
+<td style="height: 33px;">
+<p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>Questo e' il terzo passo nella creazione di nuove consultazioni.</b></p>
+</td>
+</tr>
+<tr>
+<td style="height: 89px;">
+<p style="margin-bottom: 0cm; text-align: center; width: 576px;">Utilizzando
+il menu "<span style="font-weight: bold;">Autorizza Comuni</span>" si concede ad ogni singolo comune la possibilita' di utilizzare la consultazione corrente.Nel
+caso di consultazioni per l'elezione del consiglio comunale e' possibile
+assegnare una tra le modalita' di calcolo predefinite per
+l'assegnazione dei seggi di consiglio secondo il metodo D'Hondt.
+
+</td>
+</tr>
+<tr>
+<td style="height: 33px;">
+<p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>Con questa operazione il Superadmin ha terminato la fase di creazione di una nuova consultazione. <br>
+Le operazioni successive potranno essere svolte dall'Amministratore del singolo comune (admin), <br>
+la prima operazione da eseguire sara' accessibile dal suo menu "Consultazione"</b>
+</p>
+</td>
+</tr>
+</tbody>
+</table>
+
Index: /trunk/admin/modules/Elezioni/language/it/ele_configurazione.html
===================================================================
--- /trunk/admin/modules/Elezioni/language/it/ele_configurazione.html	(revision 46)
+++ /trunk/admin/modules/Elezioni/language/it/ele_configurazione.html	(revision 46)
@@ -0,0 +1,94 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+</head><body style="width: 688px;">
+<table class="table-main">
+
+  <tbody>
+    <tr>
+      <td style="height: 33px;">
+      <p style="margin-bottom: 0cm; text-align: center;">Questo è il
+pannello di configurazione generale del sito.</p>
+      </td>
+    </tr>
+    <tr>
+      <td style="height: 89px;">
+      <meta http-equiv="CONTENT-TYPE" content="text/html; charset=utf-8"><title>ele_configurazione</title>
+      
+      <meta name="GENERATOR" content="OpenOffice.org 3.1  (Unix)">
+      <style type="text/css">
+	<!--
+		@page { margin: 2cm }
+		P { margin-bottom: 0.21cm }
+		P.first-line-indent { text-indent: 0.5cm }
+		P.testo-esteso { margin-right: 0.3cm; text-indent: 0.5cm; text-align: justify; page-break-before: auto }
+	-->
+	</style>
+      
+      <b> </b>
+      
+      <b> </b>
+      
+      <b> </b>
+      <p style="margin-bottom: 0cm; page-break-after: avoid;" align="justify">La scheda,
+intitolata <i>impostazioni di configurazione generale</i>, mette a
+disposizione dei menu di scelta a tendina e dei campi da riempire, la
+cui scelta deve sempre essere confermata con il comando <i>modifica.</i><br>
+Quelli
+descritti di seguito sono gli effetti che le varie scelte sortiranno
+sulle pagine web che l'utente finale si troverà di fronte quando
+accederà al sito per la consultazione dei risultati elettorali.<br>
+      <font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>Visualizzare
+la scelta del tema?</b></font></font> Il programma fornisce all'utente finale, che si
+collega al sito per consultare i risultati elettorali, la possibilità
+di cambiare il &#8220;tema&#8221;, lo stile grafico, delle pagine web che
+vengono generate. Con questa scelta viene concessa, o inibita, tale
+possibilità. Nel menu posto a fianco <font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>Tema
+predefinito</b></font></font><font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><span style="font-weight: normal;">
+il superuser sceglie lo stile grafico predefinito del sito.</span><br>
+      <b>Visualizzare
+il blocco laterale?</b></font></font> In questo menu si decide se far apparire o meno,
+sulle pagine generate per la consultazione, alcune informazioni
+supplementari relative alle operazioni di voto e ai risultati, che
+verranno scelte nell'opzione successiva &#8220;widget&#8221;.<br>
+      <font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>Utilizzare
+le animazioni flash?</b></font></font> Con questa scelta si sceglie se l'utente finale visualizzerà i
+grafici in modo statico o animato.<br>
+      <font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>Il superuser dovrà indicare</b></font></font>
+      al programma se <font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>si
+gestiscono più comuni</b></font></font>, dovrà immettere
+l'indirizzo <font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>mail
+dell'amministratore</b></font></font><font face="Times New Roman, serif"><font size="3"><span style="font-weight: normal;">,
+l'</span></font></font><font color="#000000"><font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>URL
+del sito o IP,</b></font></font></font><font color="#000000"><font face="Times New Roman, serif"><font size="3"><b> </b></font></font></font><font color="#000000"><font face="Times New Roman, serif"><font size="3"><span style="font-weight: normal;">potrà
+caricare un'</span></font></font></font><font color="#000000"><font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>Immagine
+per la testata</b></font></font></font><font color="#000000"><font face="Times New Roman, serif"><font size="3"><span style="font-weight: normal;">,
+potrà scegliere il </span></font></font></font><font color="#000000"><font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>Comune
+visualizzato per default dal client,</b></font></font></font><font color="#000000"><font face="Times New Roman, serif"><font size="3"><span style="font-weight: normal;">
+e dovrà indicare il </span></font></font></font><font color="#000000"><font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>Codice
+della lingua da utilizzare</b></font></font></font><font color="#000000"><font face="Times New Roman, serif"><font size="3"><span style="font-weight: normal;">.</span></font></font></font><br>
+<b><font color="#000000"><font face="Times New Roman, serif"><b>Attivare
+l'accesso alle google maps?</b><br>
+<font size="3"><span style="font-weight: normal;">Offre
+la possibilità di attivare la visualizzazione sul sito delle mappe
+di GoogleMaps per localizzare l'ubicazione delle sedi elettorali; con
+tale opzione attiva occorrerà indicare la </span></font></font></font><font color="#000000"><font face="Arial, sans-serif"><font style="font-size: 11pt;" size="3"><b>Chiave
+per google maps</b></font></font></font><font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><font size="3"><span style="font-weight: normal;"> ottenibile a questo indirizzo: http://code.google.com/apis/maps/signup.html</span></font><br>
+<b>Utilizzare
+l' FCKeditor? </b><font color="#000000"><font face="Times New Roman, serif"><font size="3"><span style="font-weight: normal;">Con
+l'FCKeditor sarà possibile &#8220;editare&#8221; le informazioni che si inseriranno
+tramite i menu "Come si vota", "Numeri Utili", "Servizi", "Link Utili"
+con
+strumenti di formattazione più articolati di un semplice editor di
+testo. La scelta </span></font></font></font><b><font color="#000000"><font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2">Permessi
+d'uso di FCKeditor</font></font></font></b><font color="#000000"><font face="Times New Roman, serif"><font size="3"><span style="font-weight: normal;">
+consente al </span></font></font></font><font color="#000000"><font face="Times New Roman, serif"><font size="3"><i><span style="font-weight: normal;">Superuser </span></i></font></font></font><font color="#000000"><font face="Times New Roman, serif"><font size="3"><span style="font-style: normal;"><span style="font-weight: normal;">di
+decidere. quanti di questi strumenti l'utente del programma avrà a
+disposizione chi sarà autorizzato a immettere le informazioni di
+servizio sul sito</span></span></font></font></font></font></font></b></p>
+      <b> </b></td>
+    </tr>
+    
+  </tbody>
+</table>
+
+</body></html>
Index: /trunk/admin/modules/Elezioni/language/it/ele_consultazioni.html
===================================================================
--- /trunk/admin/modules/Elezioni/language/it/ele_consultazioni.html	(revision 46)
+++ /trunk/admin/modules/Elezioni/language/it/ele_consultazioni.html	(revision 46)
@@ -0,0 +1,44 @@
+<table style="width: 686px; height: 150px;" class="table-main">
+
+<tbody>
+<tr>
+<td style="height: 33px;">
+<p style="margin-bottom: 0cm; text-align: center;"><b>Questo Ãš il primo passo
+nella
+creazione di nuove consultazioni.</b></p>
+</td>
+</tr>
+<tr>
+<td style="height: 89px;">
+      <div style="text-align: center;">
+      </div>
+      <p style="margin-bottom: 0cm; text-align: center;"><b>Consultazione:</b>
+Serve per aprire nuove consultazioni.
+Nella combo box va scelta la tipologia di consultazione,
+va poi assegnato un nome e inserite le date di inizio e
+fine delle perazioni di voto.<br>
+In archivio sono gia'
+presenti un certo numero di tipi di consultazione, ma
+e' possibile aggiungerne di nuovi utilizzando la voce
+âGestione tipiâ.<br>
+Successivamente
+sarÃ  possibile modificare la descrizione e le
+date delle operazioni di voto, ma non sarÃ  possibile
+attribuire una diversa tipologia.
+      </p>
+
+
+
+</td>
+</tr>
+<tr>
+<td style="height: 33px;">
+<p style="margin-bottom: 0cm; text-align: center;"><b>Il secondo passo
+nella
+creazione di nuove consultazioni Ãš "Affluenze".</b></p>
+</td>
+</tr>
+</tbody>
+</table>
+<br>
+