Index: /trunk/admin/modules/Elezioni/ele_affluenze.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_affluenze.php	(revision 52)
+++ /trunk/admin/modules/Elezioni/ele_affluenze.php	(revision 53)
@@ -53,5 +53,5 @@
 		if (isset($help)) include("language/$language/ele_affluenze.html");
 
-		echo "<br><br> <table border=\"0\" width=\"60%\"  align=\"center\">"
+		echo "<hr><br><br> <table border=\"0\" width=\"60%\"  align=\"center\">"
 		."<tr><td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._ORA."</b></td>"
 		."<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._DATA."</b></td>";
Index: /trunk/admin/modules/Elezioni/ele_configurazione.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_configurazione.php	(revision 52)
+++ /trunk/admin/modules/Elezioni/ele_configurazione.php	(revision 53)
@@ -75,5 +75,5 @@
 	echo "<input type=\"hidden\" name=\"do\" value=\"update\">";
 	echo "<input type=\"hidden\" name=\"op\" value=\"configurazione\">";
-	echo "<br><table border=\"0\" width=\"100%\">";
+	echo "<br><table style=\"color: #000000;\">";
 	echo "<tr bgcolor=\"$bgcolor2\"><td colspan=\"4\" align=\"center\"><b>"._CONFIGDEFAULT."</b></td></tr><tr><td>&nbsp</td></tr>";
 	echo "<tr><td>";
Index: /trunk/admin/modules/Elezioni/ele_cons_comuni.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_cons_comuni.php	(revision 52)
+++ /trunk/admin/modules/Elezioni/ele_cons_comuni.php	(revision 53)
@@ -55,5 +55,5 @@
 	echo "<table border=\"0\" width=\"100%\" align=\"left\"><tr><td>";
 	echo "<form name=\"imppred\" action=\"admin.php\">";
-	echo "<table border=\"0\"><tr><td bgcolor=\"$bgcolor1\">"
+	echo "<table style=\"color: #000000;\"><tr><td bgcolor=\"$bgcolor1\">"
    	."&nbsp;<b>"._CONSPRED."</b>&nbsp;</td><td><select name=\"predefinita\">";
 	echo "<option value=\"\">";
Index: /trunk/admin/modules/Elezioni/ele_operatori.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_operatori.php	(revision 52)
+++ /trunk/admin/modules/Elezioni/ele_operatori.php	(revision 53)
@@ -47,9 +47,10 @@
 		echo "</td></tr></table>";
 	}	
-	OpenTable();
+#	OpenTable();
+	echo "<table>";
 	$esiste=0;
 	echo "<tr><td>";
 	echo "<form name=\"autorizza\" action=\"admin.php\">";
-	echo "<table><tr align=\"center\" bgcolor=\"$bgcolor1\">";
+	echo "<table style=\"color: #000000;\"><tr align=\"center\" bgcolor=\"$bgcolor1\">";
 	echo "<td><b>"._UTENTE."</b></td>";
 	$resins = mysql_query("select aid from ".$prefix."_authors where id_comune='$id_comune' order by aid",$dbi); 
@@ -67,5 +68,5 @@
 	$resmod = mysql_query("SELECT * FROM ".$prefix."_authors where id_cons='$id_cons' and id_comune='$id_comune'", $dbi);
 	echo "<form name=\"modello\" action=\"admin.php\">";
-	echo "<table>";
+	echo "<table style=\"color: #000000;\">";
 	if ($perms==256) echo "<tr><td colspan=\"6\">"._NOTAOP." <b>$descr_com</b><hr></td></tr>";
 	echo "<tr align=\"center\" bgcolor=\"$bgcolor1\">";
Index: /trunk/admin/modules/Elezioni/ele_widget.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_widget.php	(revision 52)
+++ /trunk/admin/modules/Elezioni/ele_widget.php	(revision 53)
@@ -118,5 +118,5 @@
 	    echo "<input type=\"hidden\" name=\"do\" value=\"update\">";
 	    echo "<input type=\"hidden\" name=\"op\" value=\"widget\">";
-	    echo "<table style=\"border:0.5px solid; width:100%;\"><tr >";
+	    echo "<table style=\"border:0.5px solid; width:100%; color: #000000;\"><tr >";
 	    $idw = intval($row['id']);
 	    echo "<input type=\"hidden\" name=\"idw\" value=\"$idw\">";
Index: /trunk/admin/modules/Elezioni/language/it/ele.html
===================================================================
--- /trunk/admin/modules/Elezioni/language/it/ele.html	(revision 52)
+++ /trunk/admin/modules/Elezioni/language/it/ele.html	(revision 53)
@@ -1,3 +1,3 @@
-<table style="width: 686px; height: 150px;" class="table-main">
+<table style="width: 686px; height: 150px; color: #000000;">
 
 <tbody>
Index: /trunk/admin/modules/Elezioni/language/it/ele_affluenze.html
===================================================================
--- /trunk/admin/modules/Elezioni/language/it/ele_affluenze.html	(revision 52)
+++ /trunk/admin/modules/Elezioni/language/it/ele_affluenze.html	(revision 53)
@@ -1,4 +1,4 @@
 
-<table style="width: 686px; height: 150px;" class="table-main">
+<table style="width: 686px; height: 150px; color: #000000;">
 
   <tbody>
Index: /trunk/admin/modules/Elezioni/language/it/ele_associazioni.html
===================================================================
--- /trunk/admin/modules/Elezioni/language/it/ele_associazioni.html	(revision 52)
+++ /trunk/admin/modules/Elezioni/language/it/ele_associazioni.html	(revision 53)
@@ -1,3 +1,3 @@
-<table style="width: 686px; height: 150px;" class="table-main">
+<table style="width: 686px; height: 150px; color: #000000;">
 
 <tbody>
Index: /trunk/admin/modules/Elezioni/language/it/ele_configurazione.html
===================================================================
--- /trunk/admin/modules/Elezioni/language/it/ele_configurazione.html	(revision 52)
+++ /trunk/admin/modules/Elezioni/language/it/ele_configurazione.html	(revision 53)
@@ -1,4 +1,4 @@
 
-<table class="table-main">
+<table style="width: 686px; height: 150px; color: #000000;">
 
   <tbody>
Index: /trunk/admin/modules/Elezioni/language/it/ele_cons_comuni.html
===================================================================
--- /trunk/admin/modules/Elezioni/language/it/ele_cons_comuni.html	(revision 52)
+++ /trunk/admin/modules/Elezioni/language/it/ele_cons_comuni.html	(revision 53)
@@ -1,4 +1,4 @@
 
-<table style="width: 686px; height: 150px;" class="table-main">
+<table style="width: 686px; height: 150px; color: #000000;">
 
   <tbody>
Index: /trunk/admin/modules/Elezioni/language/it/ele_consultazioni.html
===================================================================
--- /trunk/admin/modules/Elezioni/language/it/ele_consultazioni.html	(revision 52)
+++ /trunk/admin/modules/Elezioni/language/it/ele_consultazioni.html	(revision 53)
@@ -1,3 +1,3 @@
-<table style="width: 686px; height: 150px;" class="table-main">
+<table style="width: 686px; height: 150px; color: #000000;">
 
 <tbody>
Index: /trunk/client/modules/Elezioni/grafici.php
===================================================================
--- /trunk/client/modules/Elezioni/grafici.php	(revision 52)
+++ /trunk/client/modules/Elezioni/grafici.php	(revision 53)
@@ -121,5 +121,5 @@
                 	
 			
-			if ($genere==0){$query.=" and id_gruppo=$id_gruppo";}
+#			if ($genere==0){$query.=" and id_gruppo=$id_gruppo";}
                 	$res1234=mysql_query($query, $dbi);
                 	list($tot)=mysql_fetch_row($res1234);