Index: /trunk/admin/modules/Elezioni/language/it/ele_configurazione.html
===================================================================
--- /trunk/admin/modules/Elezioni/language/it/ele_configurazione.html	(revision 54)
+++ /trunk/admin/modules/Elezioni/language/it/ele_configurazione.html	(revision 55)
@@ -6,5 +6,5 @@
       <td style="height: 33px;">
       <p style="margin-bottom: 0cm; text-align: center;">Questo e' il
-pannello di configurazione generale del sito.</p>
+pannello di configurazione generale del sito - Da qui si impostano anche le caratteristiche del client.</p>
       </td>
     </tr>
Index: /trunk/client/modules/Elezioni/index.php
===================================================================
--- /trunk/client/modules/Elezioni/index.php	(revision 54)
+++ /trunk/client/modules/Elezioni/index.php	(revision 55)
@@ -218,12 +218,21 @@
 	global $admin, $prefix, $dbi, $offset, $votog, $votol, $votoc, $circo, $min,$id_cons,$tipo_cons,$descr_cons,$id_cons_gen,$id_comune,$genere,$id_circ;
 	
-	
+	$res = mysql_query("select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ",$dbi);
+	$ressede = mysql_query("select * from ".$prefix."_ele_sede where id_cons='$id_cons' ",$dbi);
+	$res3 = mysql_query("select * from ".$prefix."_ele_sezioni where id_cons='$id_cons' ",$dbi);
+	$circo = mysql_num_rows($res);
+	$sedi = mysql_num_rows($ressede);
+	$sez = mysql_num_rows($res3);
+		
 	echo "<div><b>"._DATIG."</b></div> ";
 	echo "<table class=\"table-80\"><tr class=\"bggray\">";
 	echo "<td ><b>"._AVENTI."</b></td>"
 	."<td ><b>"._MASCHI."</b></td>"
-	."<td ><b>"._FEMMINE."</b></td>"
-	."<td ><b><a href=\"modules.php?name=Elezioni&amp;op=circo&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune\">"._CIRCS."</a></b></td>"
-	."<td><b><a href=\"modules.php?name=Elezioni&amp;op=sezione&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune\">"._SEZIONI."</a></b></td>"
+	."<td ><b>"._FEMMINE."</b></td>";
+	if ($circo>1)
+		echo "<td ><b><a href=\"modules.php?name=Elezioni&amp;op=circo&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune\">"._CIRCS."</a></b></td>";
+	else	
+		echo "<td ><b><a href=\"modules.php?name=Elezioni&amp;op=circo&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune\">"._SEDI."</a></b></td>";
+	echo "<td><b><a href=\"modules.php?name=Elezioni&amp;op=sezione&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune\">"._SEZIONI."</a></b></td>"
 	."<td ><b><a href=\"modules.php?name=Elezioni&amp;op=gruppo&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;id_circ=$id_circ\">"._GRUPPI."</a></b></td>";
         
@@ -233,8 +242,5 @@
 	
 	
-	$res = mysql_query("select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ",$dbi);
-	$res3 = mysql_query("select * from ".$prefix."_ele_sezioni where id_cons='$id_cons' ",$dbi);
-	$circo = mysql_num_rows($res);
-	$sez = mysql_num_rows($res3);
+
 	$candi=0;
 	
@@ -261,5 +267,5 @@
 	}
 	
-	
+	if($circo==1) $circo=$sedi;
 	$res4 = mysql_query("select sum(maschi),sum(femmine), sum(maschi+femmine)  from ".$prefix."_ele_sezioni where id_cons=$id_cons", $dbi);
  	if($res4) list($maschi,$femmine,$tot) = mysql_fetch_row($res4);
@@ -306,4 +312,6 @@
     $result = mysql_query("select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons'  ORDER BY num_circ 
     LIMIT $min,$offset", $dbi);
+$numcirc=mysql_num_rows($result);
+if ($numcirc>1){
   	echo "<div><b>"._CIRCS."</b></div><br /><br />
 	<table class=\"table-80\"><tr class=\"bggray\">"
@@ -312,11 +320,21 @@
 	."<td ><b>"._INDIRIZZO."</b></td>"
 	."<td><b>"._TEL."</b></td></tr>";
+}else{
+  	echo "<div><b></b></div><br /><br />
+	<table class=\"table-80\"><tr class=\"bggray\">"
+	."<td ><b>"._INDIRIZZO."</b></td>"
+	."<td><b>"._TEL."</b></td></tr>";
+}
      
 	while(list($id_cons2,$id_circ,$num_circ,$descr_circ) = mysql_fetch_row($result)) {
-     	if ($num_circ!=0) {
+#if($numcirc==1) {$descr_circ=''; $num_circ='';}
+     	if (!($num_circ===0)) {
      		
-		echo "<tr class=\"bggray3\"><td><b>$num_circ</b>"
+		echo "<tr class=\"bggray3\">";
+		if ($numcirc>1) {
+		echo "<td><b>$num_circ</b>"
 		."</td><td><b>";
 		echo "<a href=\"modules.php?name=Elezioni&amp;op=sezione&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;id_circ=$id_circ&amp;descr_circ=$descr_circ\">$descr_circ</a></b></td>";
+		}
        
        // dati sede
@@ -329,5 +347,6 @@
 		."</td><td><b>$tel1 </b></td><td><b>  $tel2</b></td></tr>";
 
-	      	if ($i<$righe) echo"<tr class=\"bggray3\"><td></td><td></td>";
+	      	if ($i<$righe) echo"<tr class=\"bggray3\">";
+	      	if ($numcirc>1) echo "<td></td><td></td>";
 
 	}
@@ -362,14 +381,18 @@
   $offset=15;
   if (!isset($min)) $min=0;
-
+  if (!isset($id_circ)) $id_circ=0;
  $go="sezione";
- $res2 = mysql_query("SELECT descrizione FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' AND id_circ='$id_circ' ", $dbi);
+ $res2 = mysql_query("SELECT descrizione FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons'", $dbi);
+	$numcirc = mysql_num_rows($res2);
+$res2 = mysql_query("SELECT descrizione FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' AND id_circ='$id_circ' ", $dbi);
 	list($descr_circ) = mysql_fetch_row($res2);
-
+if($numcirc>1){
    echo "<div><b>"._SEZIONI." "; 
    if ($id_circ) echo "di $descr_circ";
    if ($id_sede) echo _SINGOLA;
-   echo "</b></div><br />
-   <table class=\"table-80\"><tr class=\"bggray\">"
+   echo "</b></div>";
+   }
+   echo "<br />"
+    ."<table class=\"table-80\"><tr class=\"bggray\">"
 	."<td class=\"td-5\"><b>"._NUM."</b></td>"
 	."<td ><b>"._INDIRIZZO."</b></td>"
Index: /trunk/client/modules/Elezioni/language/lang-en.php
===================================================================
--- /trunk/client/modules/Elezioni/language/lang-en.php	(revision 54)
+++ /trunk/client/modules/Elezioni/language/lang-en.php	(revision 55)
@@ -160,4 +160,5 @@
 
 define("_VOTI_RAGGR","Sum of ballots");
+define("_SEDI","Election Site");
 define("_LISTA","List");
 define("_LISTE","Lists");
Index: /trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- /trunk/client/modules/Elezioni/language/lang-it.php	(revision 54)
+++ /trunk/client/modules/Elezioni/language/lang-it.php	(revision 55)
@@ -211,4 +211,5 @@
 }else{
 define("_CIRCS","Circoscrizioni");
+define("_SEDI","Sedi elettorali");
 define("_CIRCO","Circoscrizione");
 define("_CIRCOS","Circoscrizioni");