Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 23)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 56)
@@ -77,13 +77,19 @@
 $hiddenInfo = "<input type=\"hidden\" name=\"min\" value=\"$min\">";
 
-function numeri_sezione() {
+function numeri_sezione($nums) {
 // tabella visualizzazione sezioni per numero
 global $aid,$bgcolor1, $bgcolor2, $prefix, $dbi, $offset, $min, $tipo_cons, $genere,$id_cons_gen,$id_cons,$id_lista,$ops, $perms,$id_sez;
 //	$ressup = mysql_query("select permessi from ".$prefix."_ele_operatori where aid='$aid'",$dbi);
 //	list ($perms)=mysql_fetch_row($ressup);
-	//if ($perms>16) { // tolto per guidonia
-		$res = mysql_query("SELECT num_sez, id_sez ,id_sede FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' order by num_sez", $dbi);
+	$solosede='';
+	if ($perms<32) {
+		$res = mysql_query("SELECT id_sede FROM ".$prefix."_ele_operatori where aid='$aid' and id_cons=$id_cons", $dbi);
+		if ($res) {
+			list($solouna)=mysql_fetch_row($res);
+			$solosede="and id_sede='$solouna'";
+			}
+		}
+		$res = mysql_query("SELECT num_sez, id_sez ,id_sede FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' $solosede order by num_sez", $dbi);
 		$max = mysql_num_rows($res);
-		echo "\n<table align=\"left\" border=\"0\" width=\"90%\"><tr bgcolor=\"$bgcolor1\">";
 		//if ($max>=64){
 		$i=0;
@@ -97,13 +103,12 @@
 			if ($sez_num==$numero_sez) {$bgsez="#FFFF00";}else{$bgsez="";}
 			echo "\n<td align=\"center\" width=\"5%\" bgcolor=\"$bgsez\"><b><a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$circ_id&amp;id_sede=$sede_id&amp;id_sez=$sez_id&amp;ops=$ops&amp;do=spoglio&amp;id_lista=$id_lista\">$sez_num</a></b></td>\n";
-			if (($i%8) ==0) echo "</tr>\n<tr bgcolor=\"$bgcolor1\">";
+			if (($i%$nums) ==0) echo "</tr>\n<tr bgcolor=\"$bgcolor1\">";
 		}
 		//}
-		echo "<td></td></tr></table>\n";
 		
-	echo"</td></tr></table>";
+#	echo"</td></tr></table>";
 	//}// fine tabella per numero sezioni
 	// inizio tabella centrale
-        echo "\n</td><td valign=\"top\" align=\"left\">";
+ #       echo "\n</td><td valign=\"top\" align=\"left\">";
 }
 ///////////////////////////////////////////////////////////////////////////////////
@@ -113,7 +118,13 @@
    	global $aid,$bgcolor1, $bgcolor2, $prefix, $dbi, $offset, $min, $tipo_cons, $genere,$id_cons_gen,$prev_sez,$votog,$votol,$votoc,$conscirc;
 
-   	echo "<table border=\"0\" width=\"100%\"  align=\"left\"><tr>";
+   	echo "<table border=\"0\" width=\"770\" align=\"left\"><tr>";
     	echo "\n<td bgcolor=\"$bgcolor1\" align=\"left\">";
 	//echo "<h6>";
+		echo "\n<table align=\"left\" width=\"700\"  border=\"0\"><tr bgcolor=\"$bgcolor1\">";
+    		numeri_sezione(30);
+		echo "<td></td></tr></table>\n";
+    		echo "\n</td></tr><tr><td>\n";
+
+
 	///////////////////////
 	// Circoscrizione : scelta
@@ -260,5 +271,5 @@
 
 		//$bgcolor1="#b0b0b0";
-   		echo "<table border=\"0\" width=\"60%\"  align=\"center\"><tr>";
+   		echo "<hr><table border=\"0\" width=\"60%\"  align=\"center\"><tr>";
     		echo "\n<td bgcolor=\"$bgcolor1\" align=\"center\"><b><a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_sede=$id_sede&amp;do=spoglio&amp;ops=1\">"._AFFLUENZE."</a></b></td>\n";
 		if(!($genere==4) and !($votog)){ //if(!($genere==4) and !($tipo_cons==10 or $tipo_cons==11)){
@@ -268,7 +279,31 @@
 			echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b><a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_sede=$id_sede&amp;do=spoglio&amp;ops=3\">"._PREFLISTA."</a></b></td>\n";
 		}
-    		echo "</tr></table>\n";
+    		echo "</tr></table><hr>\n";
 //    		echo "\n</td></tr></table>\n";
-
+#############
+# posizionamento in mancanza di scelta
+#############
+if (!$ops){
+	if (!$id_sez) { echo"";#import( pagina di help );
+	} else{
+		$res= mysql_query("SELECT data, orario from ".$prefix."_ele_rilaff where id_cons_gen=$id_cons_gen order by data desc,orario desc limit 0,1", $dbi);
+		list($data,$orario)=mysql_fetch_row($res);
+		$res= mysql_query("SELECT voti_complessivi from ".$prefix."_ele_voti_parziale where id_sez='$id_sez' and orario='$orario' and data='$data'", $dbi);
+        list($voti) = mysql_fetch_row($res);
+		if (!$voti) $ops=1;
+		else {
+#			$res= mysql_query("SELECT validi from ".$prefix."_ele_sezioni where id_sez='$id_sez'", $dbi);
+#        	list($voti) = mysql_fetch_row($res);
+			if($genere<4){
+				$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'", $dbi);
+        		list($voti) = mysql_fetch_row($res);
+				if ($voti==0 or $genere<3) $ops=4;
+				}
+			if(!$ops) $ops=3;
+			}
+
+	}
+}
+############ fine posizionamento
 
 	///////////////////////////////////////////
@@ -932,4 +967,5 @@
     	}
     }
+    if(!isset($votinulli)) $votinulli=0;
 	echo "<td></td></tr></table>";
 	if ($validi+$nulli+$bianchi+$contestati+$votinulli>0 or $genere==0) {
@@ -1114,6 +1150,9 @@
  	if (!preg_match("/rec/",$op)) {
 		ele(); //menu
-		numeri_sezione();
-	}
+		echo "\n<table align=\"left\" border=\"0\" width=\"200\"><tr bgcolor=\"$bgcolor1\">";
+		numeri_sezione(8);
+		echo "<td></td></tr></table>\n";
+	}
+echo"</td></tr></table>";
 
  switch ($op){
@@ -1124,5 +1163,5 @@
     	$op($vari); //chiamata a funzione variabile con parametri variabili (da cambiare!)
   }
-echo"</td></tr></table>";
+echo"</td></tr></table></div>";
    include ("footer.php");
 ?>