Index: trunk/admin/modules/Elezioni/controllo_votanti.php
===================================================================
--- trunk/admin/modules/Elezioni/controllo_votanti.php	(revision 56)
+++ trunk/admin/modules/Elezioni/controllo_votanti.php	(revision 62)
@@ -95,6 +95,6 @@
 		{
 			$tot[$data.$ora]="\n<table width=\"100%\"><tr align=\"center\"><td width=\"30%\"><b>".number_format($votiu,0,',','.')."</b></td><td width=\"30%\"><b>".number_format($votid,0,',','.')."</b></td><td><b>".number_format($somma,0,',','.')."</b></td></tr></table>\n";
-			$perc_u=number_format($votiu*100/$tot_u,2);
-			$perc_d=number_format($votid*100/$tot_d,2);
+			if($tot_u) $perc_u=number_format($votiu*100/$tot_u,2);
+			if($tot_d) $perc_d=number_format($votid*100/$tot_d,2);
 			$perc_c=number_format($somma*100/$tot_compl,2);
 		}
Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 56)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 62)
@@ -70,5 +70,99 @@
 }
 
-
+function stato_rilevazione($id_sez,$solosede){
+global $id_cons, $prefix, $dbi, $id_cons_gen;
+$ops=0;
+$status=0;
+	if($ops==0){
+#controllo congruenza affluenze
+		$res = mysql_query("SELECT orario,data FROM ".$prefix."_ele_rilaff where id_cons_gen=$id_cons_gen order by data desc,orario desc", $dbi);
+		if($res)
+		while (list($ora,$giorno) = mysql_fetch_row($res)){
+			$query="SELECT sum(voti_complessivi) FROM ".$prefix."_ele_voti_parziale as t1 where t1.id_cons='$id_cons' and t1.orario='$ora' and t1.data='$giorno'";
+			$res2 = mysql_query("$query", $dbi);
+			list($voti)=mysql_fetch_row($res2);
+			if($voti) {
+				if(isset($ora)){
+					$query="SELECT count(voti_complessivi) FROM ".$prefix."_ele_voti_parziale as t1 where t1.id_cons='$id_cons' and t1.orario='$ora' and t1.data='$giorno'";
+					$res3 = mysql_query("$query", $dbi);
+					list($numscru)=mysql_fetch_row($res3);
+					$res3= mysql_query("SELECT count(num_sez) FROM ".$prefix."_ele_sezioni where id_cons='$id_cons'", $dbi);
+					list($numtot) = mysql_fetch_row($res3);
+					$res3= mysql_query("SELECT maschi+femmine+autorizzati_m+autorizzati_f FROM ".$prefix."_ele_sezioni where id_sez='$id_sez'", $dbi);
+					list($iscritti) = mysql_fetch_row($res3);
+
+					
+					$query="SELECT voti_complessivi, voti_uomini, voti_donne FROM ".$prefix."_ele_voti_parziale as t1 where t1.id_sez='$id_sez' and t1.orario='$ora' and t1.data='$giorno'";
+					$res3 = mysql_query("$query", $dbi);
+					list($voti, $uomini, $donne)=mysql_fetch_row($res3);
+					if($voti>0) {#echo $query;
+						if ((($uomini+$donne)==0 or ($uomini+$donne)==$voti) and ($voti)<=$iscritti)
+							if($numscru<$numtot and $numscru>0)
+								{$status=1;break;}
+							else
+								{$status=0;break;}
+						else return 1;
+					} #else return 0;
+				}
+			}
+		}
+		# return 0;
+		#controllo congruenza voti espressi
+		$res2= mysql_query("SELECT sum(validi) FROM ".$prefix."_ele_sezioni where id_cons='$id_cons'", $dbi);
+		if($res2){
+		list($validi) = mysql_fetch_row($res2);
+			if($validi) {
+					$status=0;
+					$query="SELECT validi,nulli,bianchi,contestati,voti_nulli,solo_gruppo,voti_nulli,validi_lista,contestati_lista,voti_nulli_lista FROM ".$prefix."_ele_sezioni as t1 where t1.id_sez='$id_sez'";
+					$res4 = mysql_query("$query", $dbi);
+					list($validi, $nulli, $bianchi,$contestati,$votinulli,$sologruppo,$votinulli,$validilista,$contestatilista,$votinullilista)=mysql_fetch_row($res4);
+					if($validi>0) { 
+						if (($validi+$nulli+$bianchi+$contestati+$votinulli)==$voti)
+							{$status=1;}
+						else return 4;
+					} #else return 0;
+			}
+		}	
+		#controllo congruenza voti di gruppo
+		$res3= mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons'", $dbi);
+		if($res3){
+			list($votig) = mysql_fetch_row($res3);
+			if($votig) {
+					$status=0;
+					$query="SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'";
+					$res4 = mysql_query("$query", $dbi);
+					list($votigs)=mysql_fetch_row($res4);
+					if($votigs>0) {
+						if (($votigs)==$validi)
+							{$status=1;}
+						else return 4;
+					} #else return 0;
+			}
+		}	
+		#controllo congruenza voti di lista
+		$res3= mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_lista where id_cons='$id_cons'", $dbi);
+		if($res3){
+			list($votil) = mysql_fetch_row($res3);
+			if($votil) {
+						$status=0;
+					$query="SELECT sum(voti) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez'";
+					$res4 = mysql_query("$query", $dbi);
+					list($votils)=mysql_fetch_row($res4);
+					if($votils>0) {
+						if (($votils+$sologruppo+$votinulli+$contestatilista+$votinullilista)==($validi+$contestati))
+							{$status=1;}
+						else return 3;
+					} #else return 0;
+			}
+		}	
+
+
+
+if($status==1) return (-1);			
+else return 0;
+
+	}
+
+}
 
 // Offset - visualizza il numero di elementi per pagina
@@ -87,5 +181,5 @@
 		if ($res) {
 			list($solouna)=mysql_fetch_row($res);
-			$solosede="and id_sede='$solouna'";
+			if ($solouna>0) $solosede="and id_sede='$solouna'";
 			}
 		}
@@ -98,8 +192,16 @@
 			$result = mysql_query("SELECT id_circ FROM ".$prefix."_ele_sede where id_cons='$id_cons' and id_sede='$sede_id' ", $dbi);
 			list($circ_id) = mysql_fetch_row($result);
-			//clora la sezione
+			//colora la sezione
+			$sezstat=0; #die($ops);
+			$sezstat=stato_rilevazione($sez_id,$solosede);
+			if ($sezstat==(-1)) $bgsez="#99CC33"; #verde
+			elseif ($sezstat>0) {
+				$bgsez="#FF3300";#rosso;
+				$ops=$sezstat;
+				}
+			else{$bgsez="";}
 			$res2= mysql_query("SELECT num_sez FROM ".$prefix."_ele_sezioni where id_sez='$id_sez'", $dbi);
 			list($numero_sez) = mysql_fetch_row($res2);
-			if ($sez_num==$numero_sez) {$bgsez="#FFFF00";}else{$bgsez="";}
+			if ($sez_num==$numero_sez) {$bgsez="#FFFF00";}
 			echo "\n<td align=\"center\" width=\"5%\" bgcolor=\"$bgsez\"><b><a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$circ_id&amp;id_sede=$sede_id&amp;id_sez=$sez_id&amp;ops=$ops&amp;do=spoglio&amp;id_lista=$id_lista\">$sez_num</a></b></td>\n";
 			if (($i%$nums) ==0) echo "</tr>\n<tr bgcolor=\"$bgcolor1\">";
@@ -122,5 +224,5 @@
 	//echo "<h6>";
 		echo "\n<table align=\"left\" width=\"700\"  border=\"0\"><tr bgcolor=\"$bgcolor1\">";
-    		numeri_sezione(30);
+    		numeri_sezione(22);
 		echo "<td></td></tr></table>\n";
     		echo "\n</td></tr><tr><td>\n";
@@ -1150,7 +1252,7 @@
  	if (!preg_match("/rec/",$op)) {
 		ele(); //menu
-		echo "\n<table align=\"left\" border=\"0\" width=\"200\"><tr bgcolor=\"$bgcolor1\">";
+/*		echo "\n<table align=\"left\" border=\"0\" width=\"200\"><tr bgcolor=\"$bgcolor1\">";
 		numeri_sezione(8);
-		echo "<td></td></tr></table>\n";
+		echo "<td></td></tr></table>\n";*/
 	}
 echo"</td></tr></table>";