Index: /trunk/admin/modules/Elezioni/controllo_votanti.php
===================================================================
--- /trunk/admin/modules/Elezioni/controllo_votanti.php	(revision 63)
+++ /trunk/admin/modules/Elezioni/controllo_votanti.php	(revision 64)
@@ -85,4 +85,7 @@
 	$ar['perc'][1]=" ";
 //	$ar['riga2'][1]="<hr>";
+		$resuo = mysql_query("SELECT orario,data FROM ".$prefix."_ele_rilaff where id_cons_gen=$id_cons_gen order by data desc,orario desc limit 0,1", $dbi);
+		list($ultora,$ultdata)=mysql_fetch_row($resuo);
+
 	$resril = mysql_query("SELECT data,orario FROM ".$prefix."_ele_rilaff where id_cons_gen='$id_cons_gen' order by data,orario", $dbi);
 	$num_ril= mysql_num_rows($resril);  //numero delle rilevazioni previste
@@ -92,5 +95,6 @@
 	while (list($data,$ora,$somma,$votiu,$votid) = mysql_fetch_row($ressomma)) {
 		$perc_u='';$perc_d='';$perc_c='';
-		if($votiu or $votid)
+#		if($votiu or $votid)
+		if(($data==$ultdata) and ($ora==$ultora))
 		{
 			$tot[$data.$ora]="\n<table width=\"100%\"><tr align=\"center\"><td width=\"30%\"><b>".number_format($votiu,0,',','.')."</b></td><td width=\"30%\"><b>".number_format($votid,0,',','.')."</b></td><td><b>".number_format($somma,0,',','.')."</b></td></tr></table>\n";
Index: /trunk/client/inc/javascript.php
===================================================================
--- /trunk/client/inc/javascript.php	(revision 63)
+++ /trunk/client/inc/javascript.php	(revision 64)
@@ -15,14 +15,15 @@
 # Include funzioni javascript                    #
 ##################################################
-
+#timer per tema tour
 # inizio rotazione
 if (isset($_SESSION['ruota'])) 
 { 
 ?>
+
 		<script type="text/javascript" language="javascript">
 <!--
 function loadpage() {
 
-thetimer = setTimeout("changepage()", 8000);
+thetimer = setTimeout("changepage()", 20000);
 
 
Index: /trunk/client/modules/Elezioni/affluenze.php
===================================================================
--- /trunk/client/modules/Elezioni/affluenze.php	(revision 63)
+++ /trunk/client/modules/Elezioni/affluenze.php	(revision 64)
@@ -178,8 +178,15 @@
 	$html .= "<tr class=\"bggray\"><td class=\"\">"._SEZIONI."</td><td>"._ISCR_SEZ."</td>";
 #	$ressomma = mysql_query("SELECT  data,orario,sum(voti_complessivi),sum(voti_uomini),sum(voti_donne) from ".$prefix."_ele_voti_parziale where id_cons=$id_cons $cond group by data,orario,id_gruppo", $dbi);
+
+		$resuo = mysql_query("SELECT orario,data FROM ".$prefix."_ele_rilaff where id_cons_gen=$id_cons_gen order by data desc,orario desc limit 0,1", $dbi);
+		list($ultora,$ultdata)=mysql_fetch_row($resuo);
+		
+
+
   	$ressomma = mysql_query("select t3.data,t3.orario,sum(t3.voti_complessivi),sum(t3.voti_uomini),sum(t3.voti_donne)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos  group by t3.data,t3.orario,t3.id_gruppo ",$dbi);
 #die("select t3.data,t3.orario,sum(t3.voti_complessivi),sum(t3.voti_uomini),sum(t3.voti_donne)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos  group by t3.data,t3.orario,t3.id_gruppo ");
 	while (list($data,$ora,$somma,$votiu,$votid) = mysql_fetch_row($ressomma)) {
-		if($votiu or $votid)
+#		if($votiu or $votid)
+		if(($data==$ultdata) and ($ora==$ultora))
 		{
 			$tot[$data.$ora]="<table class=\"td-89\" width=\"100%\"><tr class=\"bggray2\"><td class=\"td-30\">
Index: /trunk/client/modules/Elezioni/grafici/barre.php
===================================================================
--- /trunk/client/modules/Elezioni/grafici/barre.php	(revision 63)
+++ /trunk/client/modules/Elezioni/grafici/barre.php	(revision 64)
@@ -129,5 +129,5 @@
 $bplot->value->SetAlign('left','center');
 $bplot->value->SetColor("black","darkred");
-$bplot->value->SetFormat("%.2f &#37;");
+$bplot->value->SetFormat("%.2f %%"); #  &#37;");
 
 // Add the bar to the graph
Index: /trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- /trunk/client/modules/Elezioni/gruppo.php	(revision 63)
+++ /trunk/client/modules/Elezioni/gruppo.php	(revision 64)
@@ -495,9 +495,22 @@
 				$ar[(2+$offsetsez-$minsez)][0]="<b>"._TOT."<br />"._COMPLESSIVO."</b>";
 				if(isset($temp)) {
+######################
+                     if($tab15=="gruppo"){
+                          $votigl=" sum(validi),sum(nulli),sum(bianchi),sum(contestati),sum(voti_nulli)";
+                     }else{
+                         /* if ($votog) $votigl=" (validi_lista),(nulli),(bianchi),(contestati_lista),(voti_nulli_lista)";
+                          else */
+                          $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli_lista)";
+                     }
+					$resv = mysql_query("SELECT $votigl from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
+					list ($sevaltot,$senultot,$sebiatot,$secontot,$sevnutot)= mysql_fetch_row($resv);
+					$voticompl=$sevaltot+$senultot+$sebiatot+$secontot+$sevnutot;
+					$resvt = mysql_query("SELECT voti from ".$prefix."_ele_voti_$tab15 where id_cons='$id_cons'",$dbi);
+					list($votlt)=mysql_fetch_row($resvt);
 					while (list($key,$voti)= each($temp)) {
 						$percento="<b>$voti</b>";
 						if ($perc=='true' and $voticompl) 
 						{
-							$percento="<b>$voti<br /><span class=\"red\"><i>".number_format($voti*100/$voticompl,2)." %</i></span></b>";
+							$percento="<b>$voti<br /><span class=\"red\"><i>".number_format($voti*100/$sevaltot,2)." %</i></span></b>";
 						}
 						$ar[2+$offsetsez-$minsez][$key]=$percento;
@@ -507,5 +520,4 @@
 				$key=$offset+1;
 				$tmp=array($sevaltot,$senultot,$sebiatot,$secontot,$sevnutot);
-				$voticompl=$sevaltot+$senultot+$sebiatot+$secontot+$sevnutot;
 				while(list($k,$voti)= each($tmp)) {
 					$percento="<b>$voti</b>";