Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 67)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 68)
@@ -1257,6 +1257,6 @@
 		numeri_sezione(8);
 		echo "<td></td></tr></table>\n";*/
-	}
-echo"</td></tr></table>";
+		echo"</td></tr></table>";
+	}
 
  switch ($op){
Index: trunk/admin/modules/Elezioni/language/en/ele.html
===================================================================
--- trunk/admin/modules/Elezioni/language/en/ele.html	(revision 67)
+++ trunk/admin/modules/Elezioni/language/en/ele.html	(revision 68)
@@ -4,18 +4,46 @@
 <tr>
 <td style="height: 33px;">
-<p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>Informazioni generali per l'avvio e l'uso di EleOnLine.</b></p>
+
 </td>
 </tr><tr>
 <td style="height: 89px;">
-<p style="margin-bottom: 0cm; text-align: center; width: 576px;">Il menu di aiuto contestuale, posto in cima alle voci di menu, vuole facilitare la comprensione delle funzioni del programma. Stando nella maschera di una funzione e cliccando sulla voce di menu "Help Contestuale" si attiva una scheda con le istruzioni per la gestione di quella funzione.<br> Attualmente e' in fase di completamento ed Ãš disponibile solo per le voci: "Configurazione" - "Consultazione" - "Affluenze" - "Autorizza Comuni" del menu del Superutente e "Consultazioni" del menu dell'Amministratore.</td></tr><tr><td>
+<p style="margin-bottom: 0cm; text-align: center; width: 576px;">The help menu listing, placed on top of the menu items, will facilitate the understanding of the functions of the program. Remaining in the form of a function and clicking on menu item "Help OnLine" activates a card with instructions on how to handle that function. <br> Available only for the entries: "Configuring"-"Consultation"-"Affluence"-"Allow municipalities" menu of the superuser and "Consultations" in the menu of the Administrator.</td></tr><tr><td>
 <p style="margin-bottom: 0cm; text-align: center; width: 576px;">
-<b>Operazioni da effettuare per la prima attivazione del sito da parte dell'utente Superuser:</b></td></tr><tr><td>
+<b>Tasks Superuser must to perform for the first activation of the Site :</b></td></tr><tr><td>
 <p style="margin-bottom: 0cm; text-align: left; width: 576px;">
-1) Comuni: inserire almeno un comune<br>
-2) Amministratori: inserire la password per l'Amministratore principale del comune inserito<br>
-3) Consultazione: inserire una consultazione<br>
-4) Affluenze: impostare gli orari di rilevazione delle affluenze per la consultazione<br>
-5) Autorizza comuni: scegliere il comune da autorizzare, lasciare "stato" su attiva e confermare<br>
-6) Configurazione sito: impostare tutti i parametri che interessano, in particolare scegliere il comune di default<br>
+1) Municipalities: enter at least one city <br>
+2) Administrators: Enter the password for the Administrator <br>
+3) Consultation: Fill a consultation <br>
+4) Turnout: setting the times of detection of turnouts for consultation <br>
+5) Authorizes municipalities: the town choose to be authorized, leave "state" on active and confirm <br>
+6) Site Configuration: Set all the parameters of interest, in particular to choose the default communication<br>
+<b></p>
+</td>
+</tr>
+
+</tbody>
+</table>
+
+
+<table style="width: 686px; height: 150px; color: #000000;">
+
+<tbody>
+<tr>
+<td style="height: 33px;">
+<p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>General information for starting and using Eleonline.</b></p>
+</td>
+</tr><tr>
+<td style="height: 89px;">
+<p style="margin-bottom: 0cm; text-align: center; width: 576px;">The help menu listing, placed on top of the menu items, will facilitate the understanding of the functions of the program. Remaining in the form of a function and clicking on menu item "Help OnLine" activates a card with instructions on how to handle that function. <br> Available only for the entries: "Configuring"-"Consultation"-"Affluence"-"Allow municipalities" menu of the superuser and "Consultations" in the menu of the Administrator.</td></tr><tr><td>
+<p style="margin-bottom: 0cm; text-align: center; width: 576px;">
+<b>Tasks Superuser must to perform for the first activation of the Site :</b></td></tr><tr><td>
+<p style="margin-bottom: 0cm; text-align: left; width: 576px;">
+1) Municipalities: enter at least one city <br>
+2) Administrators: Enter the password for the Administrator <br>
+3) Consultation: Fill a consultation <br>
+4) Turnout: setting the times of detection of turnouts for consultation <br>
+5) Authorizes municipalities: the town choose to be authorized, leave "state" on active and confirm <br>
+6) Site Configuration: Set all the parameters of interest, in particular to choose the default communication<br>
+
 <b>Nota:</b> I punti 3, 4, 5 sono i soli necessari per l'inserimento delle consultazioni successive alla prima installazione</td></tr><tr><td>
 <p style="margin-bottom: 0cm; text-align: center; width: 576px;">
Index: trunk/client/modules/Elezioni/grafici.php
===================================================================
--- trunk/client/modules/Elezioni/grafici.php	(revision 67)
+++ trunk/client/modules/Elezioni/grafici.php	(revision 68)
@@ -247,11 +247,13 @@
 		from ".$prefix."_ele_voti_ref  where id_cons=$id_cons group by id_gruppo having tot>0",$dbi);
 	}
-
 	while  (list($tot_votanti,$validi,$nulli,$bianchi,$contestati,$id)  = mysql_fetch_row($res1)){
+		$arperc=array();
+		$arval=array($validi,$nulli,$bianchi,$contestati);
+		$arperc=arrayperc($arval,$tot_votanti);
 		$tot_votanti=$validi+$bianchi+$nulli+$contestati;
-		$perc_validi=number_format($validi*100/$tot_votanti,2);
-		$perc_nulli=number_format($nulli*100/$tot_votanti,2);
-		$perc_bianchi=number_format($bianchi*100/$tot_votanti,2);
-		$perc_conte=number_format($contestati*100/$tot_votanti,2);
+		$perc_validi=number_format($arperc[0],2);
+		$perc_nulli=number_format($arperc[1],2);
+		$perc_bianchi=number_format($arperc[2],2);
+		$perc_conte=number_format($arperc[3],2);
 		$perc_votanti=number_format($tot_votanti*100/$tot_aventi,2);
 		$non_votanti=($tot_aventi - $tot_votanti);
@@ -433,4 +435,13 @@
 				$gruppinum=mysql_num_rows($res);
 				$altrivoti=0;
+####calcolo percentuale
+				$arvoti=array();
+				$arperc=array();
+				while (list($id,$num,$descrizione,$voti)  = mysql_fetch_row($res)){
+					$arvoti[$id]=$voti;
+				}
+				$arperc=arrayperc($arvoti,$tot);
+				mysql_data_seek($res,0);
+####
 				while (list($id,$num,$descrizione,$voti)  = mysql_fetch_row($res)){
 
@@ -469,9 +480,7 @@
 
 
-				$prov=number_format($voti*100/$tot,3);
 				$votiv=number_format($voti,0,',','.');
 				// formattazione numeri perc
-				$prov=number_format($prov,2); // funzione
-
+				$prov=number_format($arperc[$id],2);
 
 			// sviluppo tabella dati