Index: trunk/admin/modules/Elezioni/ele_associazioni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 78)
+++ trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 79)
@@ -150,5 +150,5 @@
 		echo "<input type=\"hidden\" name=\"idcomune\" value=\"$idcomune\">";
 		echo "<input type=\"submit\" name=\"add\" value=\""._MODIFY."\" ></td></tr>";
-		echo "<tr><td colspan=\"4\"><fieldset><legend>Abilita la cancellazione</legend><label id=\"prov\">Metti la spunta per poter eliminare la consultazione: <input type=\"checkbox\" name=\"pwd3\" value=\"\" onchange=\"del_cons()\"></label></fieldset>";
+		echo "<tr><td colspan=\"4\"><fieldset><legend>Abilita la cancellazione</legend><label id=\"prov\">"._SPUNTAELIMINA." <input type=\"checkbox\" name=\"pwd3\" value=\"\" onchange=\"del_cons()\"></label></fieldset>";
 	}else{
 		echo "<input type=\"hidden\" name=\"do\" value=\"add\">";
Index: trunk/admin/modules/Elezioni/ele_consultazioni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_consultazioni.php	(revision 78)
+++ trunk/admin/modules/Elezioni/ele_consultazioni.php	(revision 79)
@@ -71,5 +71,19 @@
 $language=$_SESSION['lang'];
 if (($perms>64)) {
-		if (isset($help)) include("language/$language/ele_consultazioni.html");
+############# Controllo flag per cancellazione consultazione
+	echo "<SCRIPT type=\"text/javascript\">\n\n<!--\n"
+	."//-->\n";
+	echo "function del_cons() {\n";
+	echo "if (document.consultazione.pwd3.checked==false) {\n";
+	echo "document.consultazione.update.value=\""._MODIFY."\" \n";
+	echo "document.consultazione.do.value=\"update\" \n";
+	echo "}else{\n";
+	echo "document.consultazione.update.value=\""._DELETE."\" \n";
+	echo "document.consultazione.do.value=\"delete\" \n";
+	echo "} \n";	
+	echo "} \n";
+	echo "</script>\n";
+#########################
+	if (isset($help)) include("language/$language/ele_consultazioni.html");
 
 	if ($do == "modify") {
@@ -85,5 +99,5 @@
 		."<input type=\"hidden\" name=\"do\" value=\"update\">"
 		."<input type=\"hidden\" name=\"id_cons_gen\" value=\"".$pro['id_cons_gen']."\">"
-		."<table  width=\"100%\">"._MODIFY." ".$pro['descrizione']." <br><br>";
+		."<table  width=\"100%\"><tr><td>"._MODIFY." ".$pro['descrizione']." <br><br>";
 		switch ($genere) {
 			case "0" : $gencons=_GENCONS0;break;
@@ -99,9 +113,9 @@
 		default :$gencons="";
 		}
-		echo "<tr><td>"._TIPO."</td><td>$gencons</td></tr>";
+		echo "</td></tr><tr><td>"._TIPO."</td><td>$gencons</td></tr>";
 		echo "<tr bgcolor=\"$bgcolor2\"><td>"._DESCR. "</td><td><input  name=\"descr_cons2\" value=\"".$pro['descrizione']."\" size=\"15\"></td></tr>";
 		echo "<tr><td>"._DATAIN." :</td><td>";
 		echo "<select name=\"dig\" >";
-		echo "<option value=\"$dig1\" selected>$dig1</option>";giorno();
+		echo "<option value=\"$dig1\" selected>$dig1</option>";giorno(0,0);
 		echo "<select name=\"dim\" >";
 		echo "<option value= \"$dim1\" selected>$dim1</option>"; mese();
@@ -111,11 +125,15 @@
 		echo "<tr><td>"._DATAFINE." :</td><td>";
 		echo "<select name=\"dfg\" >";
-		echo "<option value=\"$dfg1\" selected>$dfg1</option>";giorno();
+		echo "<option value=\"$dfg1\" selected>$dfg1</option>";giorno(0,0);
 		echo "<select name= \"dfm\" >";
 		echo "<option value= \"$dfm1\" selected>$dfm1</option>"; mese();
 		echo "<select name= \"dfa\" >";
 		echo "<option value=\"$dfa1\" selected>$dfa1</option>"; anno();
-		echo "</td></tr><tr><td>"
-		."<input type=\"submit\" name=\"update\" value=\""._MODIFY."\">"
+		echo "</td></tr><tr>";
+		$resdel = mysql_query("SELECT * FROM ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen'", $dbi);
+		if(mysql_num_rows($resdel)==0)
+			echo "<td><fieldset><legend>Abilita la cancellazione</legend><label id=\"prov\">"._SPUNTAELIMINA." <input type=\"checkbox\" name=\"pwd3\" value=\"\" onchange=\"del_cons()\"></label></fieldset></td>";
+		else echo "<td></td>";
+		echo "<td><input type=\"submit\" name=\"update\" value=\""._MODIFY."\">"
 		."</td></tr></table></form>";
 	} else {
@@ -126,5 +144,5 @@
 		."<hr><h6>"
 		._ADD." "._CONSULTA."<br><br>";
-		echo _DEFCONS.":<br><table whidth=\"100%\">";
+		echo _DEFCONS.":</h6><br><table width=\"100%\">";
 
 		$res=mysql_query("SELECT * FROM ".$prefix."_ele_tipo where lingua='$language'", $dbi);
@@ -143,5 +161,5 @@
 		echo "<tr><td><b>"._DESCR. "</b></td><td><input type=\"text\" name=\"descr_cons2\" maxlength=\"100\"></td></tr>"
 		."<tr><td><b>"._DATAIN. "</b></td><td>";
-		echo "<select name= \"dig\" ><option value=\"$dig\" selected>$dig</option>"; giorno();
+		echo "<select name= \"dig\" ><option value=\"$dig\" selected>$dig</option>"; giorno(0,0);
 		echo "<select name= \"dim\" ><option value=\"$dim\" selected>$dim</option>"; mese();
 		echo "<select name= \"dia\" ><option value=\"$dia\" selected>$dia</option>"; anno() ;
@@ -149,5 +167,5 @@
 	
 		."<tr><td><b>"._DATAFINE. "</b></td><td>";
-		echo "<select name= \"dfg\" ><option value=\"$dfg\" selected>$dfg</option>"; giorno();
+		echo "<select name= \"dfg\" ><option value=\"$dfg\" selected>$dfg</option>"; giorno(0,0);
 		echo "<select name= \"dfm\" ><option value=\"$dfm\" selected>$dfm</option>"; mese();
 		echo "<select name= \"dfa\" ><option value=\"$dfa\" selected>$dfa</option>"; anno() ;
@@ -173,5 +191,5 @@
 		."</td><td align=\"center\" nowrap bgcolor=\"$bgcolor1\">[<a
 		href=\"admin.php?op=consultazione&amp;do=modify&amp;id_cons_gen=$id\"><img src=\"modules/Elezioni/images/edit.gif\"
-		border=\"0\" align=\"middle\"> "._EDIT."</a>]"
+		border=\"0\" align=\"middle\" alt=\"Edit\"> "._EDIT."</a>]"
 		."</td></tr>";
 	}
@@ -203,15 +221,9 @@
 
 if ($perms>=128) {
-	// LA CANCELLAZIONE VA EVITATA, se interessa va garantita l'integrità referenziale 
-/*		if ($do == "delete") {
-			if ($ok !="1") {
-				echo "<center><br><br>"._DOMCANCELLA." $descr ?<br>";
-				echo "[ <a href=\"admin.php?op=consultazione\">"._NO."</a> ] - [<a href=\"admin.php?op=consultazione&amp;do=delete&amp;id_cons=$id_cons&amp;ok=1\">"._YES."</a> ]";
-			}else{
-				$result = sql_query("delete from ".$prefix."_ele_consultazione where id_cons='$id_cons'", $dbi);
+		if ($do == "delete") { 
+				$result = mysql_query("delete from ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'", $dbi);
 				if (!$result) return;
 				Header("Location: admin.php?op=consultazione");
-			}
-		}*/ 
+		}
 		if ($do == "add") {
 			if ($descr_cons2) {
@@ -261,10 +273,10 @@
 }
 if ($op=="consultazione")
- if (isset($param['do']))
+ if (isset($param['do']) and $do!='modify')
     consultazione($ok, $id_cons_gen,$tipocons, $data_in, $data_fine,$do, $dig, $dim, $dia, $dfg, $dfm, $dfa, $duplica,$referendum,$liste,$gruppi,$ballo,$votigruppo);
-    else consultazione('', $id_cons_gen,'','','','','','','','','','','','','','','','','');
+#    else consultazione('', $id_cons_gen,'','','','','','','','','','','','','','','','','');
 ele();
 all();
-echo"</td></tr></table>";
+echo"</td></tr></table></div>";
 include("footer.php");
 
Index: trunk/admin/modules/Elezioni/funzionidata.php
===================================================================
--- trunk/admin/modules/Elezioni/funzionidata.php	(revision 78)
+++ trunk/admin/modules/Elezioni/funzionidata.php	(revision 79)
@@ -8,5 +8,5 @@
 {
 $giorno='';
-if(!$min) $min='01';
+if(!$min) $min='1';
 if(!$max) $max='31';
 $giorni=array();
Index: trunk/admin/modules/Elezioni/language/it/ele_associazioni.html
===================================================================
--- trunk/admin/modules/Elezioni/language/it/ele_associazioni.html	(revision 78)
+++ trunk/admin/modules/Elezioni/language/it/ele_associazioni.html	(revision 79)
@@ -14,5 +14,5 @@
 assegnare una tra le modalita' di calcolo predefinite per
 l'assegnazione dei seggi di consiglio secondo il metodo D'Hondt.
-Cliccando sul corrispondente pulsante "Edita", a destra nella linea del comune su cui si vuole intervenire, e' possibile <b>modificare lo stato</b> della consultazione in "Attiva", "Chiusa" o "Nulla" oppure si puo' <b>ELIMINARE</b> la consultazione relativa al singolo comune. Rimane inalterata l'impostazione generale della consultazione (tipologia, date e orari di rilevazione delle affluenze) e non viene modificato alcun dato relativo ad altri comuni.   
+Cliccando sul corrispondente pulsante "Edita", a destra nella linea del comune su cui si vuole intervenire, e' possibile <b>modificare lo stato</b> della consultazione in "Attiva", "Chiusa" o "Nulla" oppure si puo' <b>ELIMINARE</b> la consultazione relativa al singolo comune (click su "Edita" e poi spunta su "Elimina" quindi impostare la combo di "Stato" su "Elimina"). Rimane inalterata l'impostazione generale della consultazione (tipologia, date e orari di rilevazione delle affluenze) e non viene modificato alcun dato relativo ad altri comuni.   
 
 </td>
Index: trunk/admin/modules/Elezioni/language/it/ele_consultazioni.html
===================================================================
--- trunk/admin/modules/Elezioni/language/it/ele_consultazioni.html	(revision 78)
+++ trunk/admin/modules/Elezioni/language/it/ele_consultazioni.html	(revision 79)
@@ -23,7 +23,7 @@
 âGestione tipiâ.<br>
 Successivamente
-sarÃ  possibile modificare la descrizione e le
+sarÃ  possibile <b>modificare</b> la descrizione e le
 date delle operazioni di voto, ma non sarÃ  possibile
-attribuire una diversa tipologia.
+attribuire una diversa tipologia. E' possibile <b>cancellare</b> una consultazione (click su "Edita") solo se non ci sono comuni autorizzati ad usarla (altrimenti la check box di eliminazione non viene visualizzata). In questo caso vanno prima eliminate le singole autorizzazioni dal menu <b>"Autorizza comuni"</b>
       </p>
 
Index: trunk/admin/modules/Elezioni/language/lang-en.php
===================================================================
--- trunk/admin/modules/Elezioni/language/lang-en.php	(revision 78)
+++ trunk/admin/modules/Elezioni/language/lang-en.php	(revision 79)
@@ -128,4 +128,5 @@
 }
 define("_ELIMINA","DELETE");
+define("_SPUNTAELIMINA","Check to enable deletion:");
 define("_HELP","Help On Line");
 define("_NOTAOP","");
Index: trunk/admin/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/admin/modules/Elezioni/language/lang-it.php	(revision 78)
+++ trunk/admin/modules/Elezioni/language/lang-it.php	(revision 79)
@@ -149,4 +149,5 @@
 }
 define("_ELIMINA","ELIMINA");
+define("_SPUNTAELIMINA","Metti la spunta per poter eliminare la consultazione:");
 define("_NOTAOP","L'utente amministratore unico di un comune deve chiamarsi obbligatoriamente admin<br>Si stanno inserendo utenti per il comune di");
 define("_HELP","Help Contestuale");
Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 78)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 79)
@@ -514,4 +514,5 @@
 				$ar[(2+$offsetsez-$minsez)][0]="<b>"._TOT."<br />"._COMPLESSIVO."</b>";
 				if(isset($temp)) {
+					 if (!isset($tab15)) $tab15="candidati";
                      if($tab15=="gruppo"){
                           $votigl=" sum(validi),sum(nulli),sum(bianchi),sum(contestati),sum(voti_nulli)";
Index: trunk/client/modules/Elezioni/votanti.php
===================================================================
--- trunk/client/modules/Elezioni/votanti.php	(revision 78)
+++ trunk/client/modules/Elezioni/votanti.php	(revision 79)
@@ -250,10 +250,10 @@
 	if($tot_validi){
 	if ($genere==0 or ((($genere==5) or ($genere==3)) and $pag==1)){$righet .= "<td><b>".number_format($tot_si,0,',','.')."</b><br /><i>(".number_format($tot_si*100/$tot_validi,2)." %)</i></td><td><b>".number_format($tot_no,0,',','.')."</b><br /><i>(".number_format($tot_no*100/$tot_validi,2)." %)</i></td>";}
-	$righet .= "<td><b>".number_format($tot_validi,0,',','.')."</b><br /><i>(".number_format($tot_validi*100/$tot_voti,2)." %)</i></td><td><b>"
-	.number_format($tot_nulli,0,',','.')."</b><br /><i>(".number_format($tot_nulli*100/$tot_voti,2)." %)</i></td><td><b>".number_format($tot_bianchi,0,',','.')."</b><br /><i>(".number_format($tot_bianchi*100/$tot_voti,2)." %)</i></td><td><b>".number_format($tot_contestati,0,',','.')."</b><br /><i>(".number_format($tot_contestati*100/$tot_voti,2)." %)</i></td></tr>";
+	$righet .= "<td><b>".number_format($tot_validi,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_validi*100/$tot_voti,2):'0.00')." %)</i></td><td><b>"
+	.number_format($tot_nulli,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_nulli*100/$tot_voti,2):'0.00')." %)</i></td><td><b>".number_format($tot_bianchi,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_bianchi*100/$tot_voti,2):'0.00')." %)</i></td><td><b>".number_format($tot_contestati,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_contestati*100/$tot_voti,2):'0.00')." %)</i></td></tr>";
 	}else{
 	if ($genere==0 or ((($genere==5) or ($genere==3)) and $pag==1)){$righet .= "<td><b>".number_format($tot_si,0,',','.')."</b><br /><i>(0.00 %)</i></td><td><b>".number_format($tot_no,0,',','.')."</b><br /><i>(0.00 %)</i></td>";}
 	$righet .= "<td><b>0</b><br /><i>(0.00 %)</i></td><td><b>"
-	.number_format($tot_nulli,0,',','.')."</b><br /><i>(".number_format($tot_nulli*100/$tot_voti,2)." %)</i></td><td><b>".number_format($tot_bianchi,0,',','.')."</b><br /><i>(".number_format($tot_bianchi*100/$tot_voti,2)." %)</i></td><td><b>".number_format($tot_contestati,0,',','.')."</b><br /><i>(".number_format($tot_contestati*100/$tot_voti,2)." %)</i></td></tr>";
+	.number_format($tot_nulli,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_nulli*100/$tot_voti,2):'0,00')." %)</i></td><td><b>".number_format($tot_bianchi,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_bianchi*100/$tot_voti,2):'0,00')." %)</i></td><td><b>".number_format($tot_contestati,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_contestati*100/$tot_voti,2):'0,00')." %)</i></td></tr>";
 	}
 	}