Index: trunk/client/modules/Elezioni/affluenze.php
===================================================================
--- trunk/client/modules/Elezioni/affluenze.php	(revision 80)
+++ trunk/client/modules/Elezioni/affluenze.php	(revision 82)
@@ -158,11 +158,12 @@
 for ($i=$sez_da;$i<=$sez_a;$i++,$y++)	{	
 #		$ar[$i]['numsez']=$i;
-		
-		$ar[$i]['numsez']=$linka[$y]['num_sez'];
-		$ar[$i]['elettori']=number_format($linka[$y]['elettori'],0,',','.');
+		$z=$linka[$y]['num_sez'];
+		$ar[$z]['numsez']=$linka[$y]['num_sez'];
+		$ar[$z]['elettori']=number_format($linka[$y]['elettori'],0,',','.');
 		$tot_compl+=$linka[$y]['elettori'];
 		$tot_u+=$linka[$y]['maschi'];
 		$tot_d+=$linka[$y]['femmine'];
-		
+
+
 	}
 	$ar[0][1]="<b>".number_format($tot_compl,0,',','.')."</b>";
@@ -185,4 +186,5 @@
 
   	$ressomma = mysql_query("select t3.data,t3.orario,sum(t3.voti_complessivi),sum(t3.voti_uomini),sum(t3.voti_donne)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos  group by t3.data,t3.orario,t3.id_gruppo order by t3.data,t3.orario",$dbi);
+
 #die("select t3.data,t3.orario,sum(t3.voti_complessivi),sum(t3.voti_uomini),sum(t3.voti_donne)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos  group by t3.data,t3.orario,t3.id_gruppo ");
 $perc_u=array(); $perc_d=array(); $perc_c=array();
@@ -250,5 +252,10 @@
 		if (intval(preg_match('/[1-9]/',$tot[$data1.$ora1]))>0) {
 #foreach($ar[['num_sez'] as $i)
-		for ($i=$sez_da;$i<=$sez_a;$i++)
+##########
+  	$resvoti = mysql_query("select t1.num_sez  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t2.id_cons='$id_cons' $circos $cond order by t1.num_sez ",$dbi);
+
+###########
+#		for ($i=$sez_da;$i<=$sez_a;$i++)
+		while (list($i)=mysql_fetch_row($resvoti))
 			{
 				$ar[$i][$data1.$ora1]="<span style=\"color: rgb(255, 0, 0);\">non rilevata</span>";
@@ -258,4 +265,6 @@
 	}
   	$resvoti = mysql_query("select t3.data,t3.orario,t1.num_sez,voti_uomini, voti_donne, voti_complessivi  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos $cond order by data,orario,t1.num_sez ",$dbi);
+  	
+  	
 #	$resvoti = mysql_query("SELECT  data,orario,t2.num_sez,voti_uomini, voti_donne, voti_complessivi from ".$prefix."_ele_voti_parziale as t1, ".$prefix."_ele_sezioni as t2 where t1.id_cons=$id_cons and t1.id_sez=t2.id_sez $cond order by data,orario,t2.num_sez", $dbi);
 	$ud=0;
Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 80)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 82)
@@ -337,4 +337,6 @@
 				}
 				echo "<td>";
+			if($circo) 
+				echo "<input type=\"hidden\" name=\"id_circ\" value=\"$id_circ\"></input>";	
 				echo "<input type=\"hidden\" name=\"op\" value=\"$op\"></input>";			
 				echo "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\"></input>";
@@ -382,6 +384,8 @@
 
 			      
-				$datipdf="<b>"._COMUNE." $descr_comune</b> - "._RISULTATI.": $descr_cons<br/><b>$pagina</b><br/><br/> $list1 $list2 $list3 
-				dalla $tipo3 n. <b>$minsez</b> alla $tipo3 n. <b>$offsetsez</b> di <b>$num_sez</b> $tipo2<br/><br/>";
+				$datipdf="<b>"._COMUNE." $descr_comune</b> - "._RISULTATI.": $descr_cons<br/><b>$pagina</b><br/><br/> $list1 $list2 $list3 ";
+				if (!$circo)
+				echo "dalla $tipo3 n. <b>$minsez</b> alla $tipo3 n. <b>$offsetsez</b> di <b>$num_sez</b> $tipo2<br/><br/>";
+				else echo "<br/><br/>";
 				
 				
@@ -390,5 +394,6 @@
 				
 				  # verificare la stampa sulle circoscrizioni
-				if(!$circo){ 
+				 if($circo) echo "</td><td><a href=\"".$_SERVER['PHP_SELF']."?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;id_circ=$id_circ&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
+				else{ 
 				  echo "</td><td><a href=\"".$_SERVER['PHP_SELF']."?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
 				  echo "<a href=\"".$_SERVER['PHP_SELF']."?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;xls=1&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/csv.gif\" alt=\"Export Csv\" /></a>";
@@ -423,8 +428,23 @@
 			if($circo) { $secirco=" and t2.id_circ=$id_circ";} else $secirco="and t1.num_sez >= $minsez and t1.num_sez <= $offsetsez";
 				$numsezioni = $offsetsez-$ominsez;
-				$res_numsez = mysql_query("SELECT t1.num_sez from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede $secirco order by t1.num_sez",$dbi);
+				$res_numsez = mysql_query("SELECT t1.num_sez,t1.id_sez from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede $secirco order by t1.num_sez",$dbi);
 				for ($z=1;$z<=($offsetsez-$ominsez);$z++) {
 					$res=mysql_fetch_row($res_numsez);
-					$ar[$z][0]=$res[0];
+##############inserimento percentuale di scrutinio nella sezione
+		$grpercscru=0;
+		if($op=="gruppo_sezione")
+			$resperc=mysql_query("select sum(validi),sum(nulli+bianchi+contestati+voti_nulli) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
+		elseif($op=="lista_sezione")
+			$resperc=mysql_query("select sum(validi_lista),sum(nulli+bianchi+contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
+		if ($resperc)
+			list($scruvalidi,$scrunulli)=mysql_fetch_row($resperc);
+		$resperc = mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_sez='".$res[1]."' group by data,orario order by data desc, orario desc limit 0,1 ",$dbi);
+		if ($resperc)
+			list($totschede)=mysql_fetch_row($resperc);
+		if (isset($totschede) and $totschede>0 )
+			$grpercscru=number_format(($scruvalidi+$scrunulli)*100/$totschede,0);
+
+###################			<span class=\"red\"><i>".$temp3[$key]." %</i></span>		
+					$ar[$z][0]=$res[0]; if($grpercscru) {$ar[$z][0].="<br><span class=\"red\"><i>$grpercscru%</i></span>";if(!strstr($ar[0][0],'scrutinio')) $ar[0][0].="<br><span class=\"red\"><i>% scrutinio</i></span>"; }
 					$pos[$z]=$res[0];
 					#$valar[$z]=array();
@@ -469,9 +489,9 @@
 								$valar[($z)][$num_cand]=$voti;
 						}
-						foreach ($valar as $key=>$val){
+					}
+					foreach ($valar as $key=>$val){
 							$percar[$key]=arrayperc($val,$votitot[($key)]);
-							foreach($percar as $key2=>$val2);
 						}
-					}
+
 					 mysql_data_seek($res_voti,0);			
 				}
@@ -520,5 +540,9 @@
                           $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli_lista)";
                      }
-					$resv = mysql_query("SELECT $votigl from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
+                    if($circo) 
+                    	$resv = mysql_query("SELECT $votigl from ".$prefix."_ele_sezioni AS t1
+LEFT JOIN soraldo_ele_sede AS t2 ON t1.id_sede = t2.id_sede WHERE t1.id_cons='$id_cons' and t2.id_circ=$id_circ",$dbi);
+                    else
+						$resv = mysql_query("SELECT $votigl from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
 					list ($sevaltot,$senultot,$sebiatot,$secontot,$sevnutot)= mysql_fetch_row($resv);
 					$voticompl=$sevaltot+$senultot+$sebiatot+$secontot+$sevnutot;
Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 80)
+++ trunk/client/modules/Elezioni/index.php	(revision 82)
@@ -124,5 +124,7 @@
 				echo "</td></tr><tr><td></td><td  class=\"bggray\"><table class=\"table-80\"><tr><td class=\"table-main\"><form id=\"circo\" method=\"post\" action=\"modules.php\">";
 				$res_sez = mysql_query("SELECT id_circ,descrizione,num_circ from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);
-				echo "<input type=\"hidden\" name=\"pagina\" value=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;info=$info&amp;id_circ=\"></input>";
+				$pop=$op;
+				if($pop=='partiti') $pop='gruppo';
+				echo "<input type=\"hidden\" name=\"pagina\" value=\"modules.php?name=Elezioni&amp;op=$pop&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;info=$info&amp;id_circ=\"></input>";
 				echo ""._SCELTA_CIR.":<b> 
 				<select name=\"id_circ\" class=\"blu\" onChange=\"top.location.href=this.form.pagina.value+this.form.id_circ.options[this.form.id_circ.selectedIndex].value;return false\">";
@@ -513,10 +515,36 @@
 	else $res = mysql_query("select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ",$dbi);
 	$sezioni=mysql_num_rows($res);
-	if ($numero!=0) 
-	echo "<div><h2>"._SEZSCRU." $numero "._SU." $sezioni</h2></div>";
-	
-
-	
-	
+	if ($numero!=0) {
+#	echo "<div><h2>"._SEZSCRU." $numero "._SU." $sezioni</h2></div>";
+
+	####################### inserimento scrutinio in percentuale -- per i gruppi
+		$resperc=mysql_query("select sum(validi),sum(nulli+bianchi+contestati+voti_nulli) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
+		list($scruvalidi,$scrunulli)=mysql_fetch_row($resperc);
+		$resperc = mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' group by data,orario order by data desc, orario desc limit 0,1 ",$dbi);
+		list($totschede)=mysql_fetch_row($resperc);
+		$grpercscru=number_format(($scruvalidi+$scrunulli)*100/$totschede,2);
+
+#	echo "<div><h2> Dati riferiti a $numero "._SEZ." "._SU." $sezioni</h2></div>";
+	echo "<table border=\"2\"><tr><td style=\"text-align:center; \">";
+	if(!$votog and $genere!=4){	echo "<h2><b>"._GRUPPO.": </b>";
+	echo "Scrutinate ".($scruvalidi+$scrunulli)." schede su $totschede ($grpercscru %)  <br></h2>";
+	}
+#$numero sezioni su $sezioni<br> le schede scrutinate sono:  $grpercscru % 
+#	echo "<div><h2> $numero "._SEZSCRU." ("._ALPERC." $grpercscru %) "._SU." $sezioni</h2></div>";
+	####################### inserimento scrutinio in percentuale -- per le liste
+	if ($genere>2 && $fascia>$limite){
+		$resperc=mysql_query("select sum(validi_lista),sum(nulli+bianchi+contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
+		list($scruvalidi,$scrunulli)=mysql_fetch_row($resperc);
+#		$resperc = mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_sez in (select id_sez from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  $circos group by id_sez)  group by data,orario order by data desc, orario desc limit 0,1 ",$dbi);
+#		list($totschede)=mysql_fetch_row($resperc);
+		$listpercscru=number_format(($scruvalidi+$scrunulli)*100/$totschede,2);
+		$listtotschede=$totschede;
+		$listtotvoti=($scruvalidi+$scrunulli);
+	    echo "<h6>Voti alle Liste: Scrutinate $listtotvoti schede su $listtotschede ($listpercscru %)</h6>";
+	}
+		echo "</td></tr></table> ";
+	####################### 725
+	
+	}
 	
 	
@@ -587,13 +615,13 @@
 			if ($genere>0){ // no referendum 
 				if (!$votog){ // no camere e senato per coalizioni 
-					$res_presidente = mysql_query("select sum(voti),id_gruppo from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' group by id_gruppo", $dbi);
-				
+					$res_presidente = mysql_query("select sum(t1.voti),t1.id_gruppo from ".$prefix."_ele_voti_gruppo as t1 , ".$prefix."_ele_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' $t_circos   group by id_gruppo", $dbi);
 				}else{ // sommatoria voti lista per coalizione per camere e senato
-					$res_presidente = mysql_query("select sum(t1.voti),t2.id_gruppo  from ".$prefix."_ele_voti_lista as t1 , ".$prefix."_ele_lista as t2 where t1.id_lista=t2.id_lista and t1.id_cons='$id_cons' group by t2.id_gruppo", $dbi);
+					$res_presidente = mysql_query("select sum(t1.voti),t2.id_gruppo  from ".$prefix."_ele_voti_lista as t1 , ".$prefix."_ele_lista as t2 where t1.id_lista=t2.id_lista and t1.id_cons='$id_cons' $t_circos group by t2.id_gruppo", $dbi);
 				}
     			while(list($voti_pres,$id_gruppo2) = mysql_fetch_row($res_presidente)) {
     				$arval[$id_gruppo2]=$voti_pres;
     			}
-    			$arperc=arrayperc($arval,$voti_pres_tutti);
+   			$arperc=arrayperc($arval,$voti_pres_tutti);
+
     		}
 #######		
@@ -618,5 +646,4 @@
 				list($voti_pres) = mysql_fetch_row($res_presidente);
 				
-				
 				if ($voti_pres_tutti!=0){
 					$perc_pres=number_format($arperc[$id_gruppo2],2); 
@@ -687,12 +714,12 @@
 			
 			//Liste collegate
-			if ($numero!=0 and !$votol and $genere>1) 
+#			if ($numero!=0 and !$votol and $genere>1) 
 			// verifica delle sezioni in relazione ai candidati (comuni >=15000  $LIMIT>=4 non c'e' il voto di lista 5/5/2009
 
-			if ($genere!=2 && $fascia>$limite)
-			      echo "<div><h6>Liste:"._SEZSCRU." $numero_l "._SU." $sezioni_l</h6></div>";
-			else
-			    if(!$circo and $votog) // non per le circoscrizionali, senato e camera
-			      echo "<div><h6>"._SEZSCRU." $numero_c "._SU." $sezioni_l</h6></div>";
+#			if ($genere!=2 && $fascia>$limite)
+#			      echo "<div><h6>Liste:"._SEZSCRU." $numero_l "._SU." $sezioni_l</h6></div>";
+#			else
+#			    if(!$circo and $votog) // non per le circoscrizionali, senato e camera
+#			      echo "<div><h6>"._SEZSCRU." $numero_c "._SU." $sezioni_l</h6></div>";
 			
 			
Index: trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-it.php	(revision 80)
+++ trunk/client/modules/Elezioni/language/lang-it.php	(revision 82)
@@ -124,4 +124,5 @@
 define("_DEL","del");
 define("_STATO","Stato");
+define("_ALPERC","al");
 define("_OK","Ok");
 define("_MOSTRA","Visualizza");