Index: trunk/client/modules/Elezioni/consiglieri.php
===================================================================
--- trunk/client/modules/Elezioni/consiglieri.php	(revision 82)
+++ trunk/client/modules/Elezioni/consiglieri.php	(revision 83)
@@ -164,5 +164,6 @@
 function consmin($fascia,$grp) {
 global $id_cons, $prefix,$dbi,$num_candlst,$quozienti,$PNE,$CSEC,$consin;
-global $infpremio;
+global $infpremio,$fisso;
+if (!isset($fisso)) $fisso=0;
 $PNE=_PRIMONON;
 $CSEC=_SINDCONS;
@@ -181,6 +182,19 @@
 #carica numero di liste e voti, i voti sono quelli del gruppo perche' non c'e' voto di lista
 $res_val = mysql_query("SELECT sum(validi) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
-list($validi) = mysql_fetch_row($res_val);
-$res_per = mysql_query("SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1,  ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_gruppo as t3 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t1.id_gruppo=t3.id_gruppo group by t1.descrizione,t1.num_gruppo,t2.num_lista,t2.descrizione order by voti desc ",$dbi);
+#se fisso=1 Ãš abilitato il voto di lista ed Ãš quello su cui si calcola l'assegnazione dei seggi 
+/* list($validi) = mysql_fetch_row($res_val);
+$res_per = mysql_query("SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1,  ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_gruppo as t3 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t1.id_gruppo=t3.id_gruppo group by t1.descrizione,t1.num_gruppo,t2.num_lista,t2.descrizione order by voti desc ",$dbi); */
+if ($fisso==1){
+	#seleziona il sindaco
+$res_per = mysql_query("SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_gruppo as t3 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t1.id_gruppo=t3.id_gruppo group by t1.descrizione, t1.num_gruppo,t2.num_lista,t2.descrizione order by voti desc limit 0,1",$dbi);
+	list($descr,$num_gruppo,$id_lista1,$num_lista,$descr_lista,$voti)= mysql_fetch_row($res_per);
+$res_per = mysql_query("SELECT t2.id_lista, sum(t2.voti) as voti from ".$prefix."_ele_voti_lista as t2 where t2.id_cons='$id_cons' and t2.id_lista!='$id_lista1' group by t2.id_lista order by voti desc limit 0,1",$dbi);
+	list($id_lista2,$voti)= mysql_fetch_row($res_per);
+      #e la lista di minoranza
+	$ordine= $id_lista1>$id_lista2 ? "desc":"";
+$res_per = mysql_query("SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_lista as t3 where (t2.id_lista='$id_lista1' or t2.id_lista='$id_lista2') and t1.id_gruppo=t2.id_gruppo and t2.id_lista=t3.id_lista group by t1.descrizione,t1.num_gruppo,t2.num_lista,t2.descrizione order by t2.id_lista $ordine",$dbi);
+	}else{
+$res_per = mysql_query("SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_gruppo as t3 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t1.id_gruppo=t3.id_gruppo group by t1.descrizione,t1.num_gruppo,t2.num_lista,t2.descrizione order by voti desc",$dbi);
+}  
 $groups=array();
 $seggimag=array();
@@ -204,5 +218,5 @@
     }#controllo del premio di maggioranza
 //    if ($gruppo[$listagruppo[$lisvin]]>($validi*2/3)) 
-    if ($gruppo[$listagruppo[$lisvin]]>($validi*$infpremio/100)) 
+    if ($gruppo[$listagruppo[$lisvin]]>($validi*$infpremio/100) and $fisso==0) 
     {
     	foreach ($groups as $key=>$val) $gruppo[$key]=$val;
Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 82)
+++ trunk/client/modules/Elezioni/index.php	(revision 83)
@@ -523,6 +523,7 @@
 		$resperc = mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' group by data,orario order by data desc, orario desc limit 0,1 ",$dbi);
 		list($totschede)=mysql_fetch_row($resperc);
+		if($totschede)
 		$grpercscru=number_format(($scruvalidi+$scrunulli)*100/$totschede,2);
-
+		else $grpercscru=0;
 #	echo "<div><h2> Dati riferiti a $numero "._SEZ." "._SU." $sezioni</h2></div>";
 	echo "<table border=\"2\"><tr><td style=\"text-align:center; \">";
@@ -538,5 +539,7 @@
 #		$resperc = mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_sez in (select id_sez from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  $circos group by id_sez)  group by data,orario order by data desc, orario desc limit 0,1 ",$dbi);
 #		list($totschede)=mysql_fetch_row($resperc);
+		if($totschede)
 		$listpercscru=number_format(($scruvalidi+$scrunulli)*100/$totschede,2);
+		else $listpercscru=0;
 		$listtotschede=$totschede;
 		$listtotvoti=($scruvalidi+$scrunulli);