Index: /trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_voti.php	(revision 83)
+++ /trunk/admin/modules/Elezioni/ele_voti.php	(revision 84)
@@ -23,8 +23,4 @@
 $perms=ChiSei($id_cons_gen);
 if ($perms<16 or !$id_cons_gen) die("Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
-
-$res = mysql_query("SELECT tipo_cons FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'" , $dbi);
-list($tipo_cons) = mysql_fetch_row($res);
-if ($tipo_cons!=3) $limite=0; #die ("limite: $limite");}
 if (isset($_GET['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
 //if (isset($param['id_cons'])) $id_cons=intval($param['id_cons']); else $id_cons='';
@@ -46,4 +42,9 @@
 include("modules/Elezioni/funzionidata.php");
 include("modules/Elezioni/ele.php");
+global $votolista, $limite;
+if(!isset($votolista)) $votolista=0;
+$res = mysql_query("SELECT tipo_cons FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'" , $dbi);
+list($tipo_cons) = mysql_fetch_row($res);
+if ($tipo_cons!=3 or $votolista==1) $limite=0; #die ("limite: $limite");}
 $res = mysql_query("SELECT count(id_circ) FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ", $dbi);
 list($num_circ)=mysql_fetch_row($res);
@@ -500,5 +501,5 @@
 		$ele_lista='';
 		if (($genere==4 or $genere==5) and !$votoc) { //liste a piu' candidati
-			if($fascia<=$limite and !$id_lista) {
+			if(($fascia<=$limite) and !$id_lista) {
 				$result = mysql_query("SELECT id_lista from ".$prefix."_ele_lista where id_cons=$id_cons limit 0,1",$dbi);
 				list($id_lista)=mysql_fetch_row($result);
@@ -514,4 +515,5 @@
 				echo "<option value=\"0\" selected>"._VOTI_LISTA;
 				$ele_lista=" group by t1.id_lista ";
+if(!isset($votolista)) $votolista=0;
 
 			}
Index: /trunk/client/modules/Elezioni/consiglieri.php
===================================================================
--- /trunk/client/modules/Elezioni/consiglieri.php	(revision 83)
+++ /trunk/client/modules/Elezioni/consiglieri.php	(revision 84)
@@ -164,6 +164,8 @@
 function consmin($fascia,$grp) {
 global $id_cons, $prefix,$dbi,$num_candlst,$quozienti,$PNE,$CSEC,$consin;
-global $infpremio,$fisso;
-if (!isset($fisso)) $fisso=0;
+global $infpremio,$fisso,$sincons,$votolista;
+if (!isset($fisso)) $fisso=0; #se fisso=1 il premio di maggioranza Ãš fisso
+if (!isset($votolista)) $fisso=0; #se votolista=1 c'e' voto di lista
+if (!isset($sincons)) $sincons=0; #se sincons=1 il sindaco eletto occupa un posto di consigliere
 $PNE=_PRIMONON;
 $CSEC=_SINDCONS;
@@ -171,8 +173,9 @@
 $num_candlst=array();
 #funzione di calcolo per comuni fino a 15.000 abitanti (piï¿œ esattamente fino al valore di $limite)
-#carica il numero di consiglieri per la minoranza
+#carica il numero di consiglieri
 		$result = mysql_query("SELECT seggi from ".$prefix."_ele_fasce where id_fascia=$fascia",$dbi);
 		list($numcons) = mysql_fetch_row($result);
-
+if ($sincons) $numcons--;
+#$numcons--;
 $consel=array();
 $conselcsne=array();
@@ -180,8 +183,13 @@
 //$consel[]=array("Lista","Voti","Seggi","Nominativo","Cifra Elettorale","Quoziente");
 $consel[]=array(_LISTA,_VOTI,_SEGGI,_CANDIDATO,_CIFRAELE,_QUOZIENTI);
-#carica numero di liste e voti, i voti sono quelli del gruppo perche' non c'e' voto di lista
-$res_val = mysql_query("SELECT sum(validi) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
-#se fisso=1 Ãš abilitato il voto di lista ed Ãš quello su cui si calcola l'assegnazione dei seggi 
-/* list($validi) = mysql_fetch_row($res_val);
+#carica numero di liste e voti, i voti sono quelli del gruppo se non c'e' voto di lista
+if($votolista=='0')
+	$res_val = mysql_query("SELECT sum(validi) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
+else
+	$res_val = mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_cons='$id_cons'",$dbi);
+list($validi) = mysql_fetch_row($res_val);
+
+#se votolista==1, Ãš abilitato il voto di lista ed Ãš quello su cui si calcola l'assegnazione dei seggi 
+/* 
 $res_per = mysql_query("SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1,  ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_gruppo as t3 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t1.id_gruppo=t3.id_gruppo group by t1.descrizione,t1.num_gruppo,t2.num_lista,t2.descrizione order by voti desc ",$dbi); */
 if ($fisso==1){